import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询批次
export function queryGradBatch(params) {
    return request({
        url: ApiPath.graduation.gradBase.batch.query,
        method: 'get',
        params,
    })
}

// 获取批次
export function getGradBatch(id) {
    return request({
        url: ApiPath.graduation.gradBase.batch.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增批次
export function createGradBatch(data) {
    return request({
        url: ApiPath.graduation.gradBase.batch.create,
        method: 'post',
        data
    })
}


// 修改批次
export function updateGradBatch(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.batch.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除批次
export function deleteGradBatch(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.batch.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除批次
export function deletesGradBatch(data) {
    return request({
        url: ApiPath.graduation.gradBase.batch.deletes,
        method: 'post',
        data
    })
}



// 随机指定答辩小组
export function randomDefence(data) {
    return request({
        url: ApiPath.graduation.gradBase.batch.randomDefence,
        method: 'post',
        data
    })
}
 

// 随机指定评阅教师
export function randomReview(data) {
    return request({
        url: ApiPath.graduation.gradBase.batch.randomReview,
        method: 'post',
        data
    })
}
