import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询答辩小组
export function queryDefencesGroup(params) {
    return request({
        url: ApiPath.graduation.gradBase.defences.query,
        method: 'get',
        params,
    })
}

// 获取答辩小组
export function getDefencesGroup(id) {
    return request({
        url: ApiPath.graduation.gradBase.defences.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增答辩小组
export function createDefencesGroup(data) {
    return request({
        url: ApiPath.graduation.gradBase.defences.create,
        method: 'post',
        data
    })
}


// 修改答辩小组
export function updateDefencesGroup(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.defences.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除答辩小组
export function deleteDefencesGroup(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.defences.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除答辩小组
export function deletesDefencesGroup(data) {
    return request({
        url: ApiPath.graduation.gradBase.defences.deletes,
        method: 'post',
        data
    })
}
