import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询打分项
export function queryGradEvalSettings(params) {
    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.query,
        method: 'get',
        params,
    })
}

// 获取打分项
export function getGradEvalSettings(id) {
    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增打分项
export function createGradEvalSettings(data) {
    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.create,
        method: 'post',
        data
    })
}


// 修改打分项
export function updateGradEvalSettings(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除打分项
export function deleteGradEvalSettings(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除打分项
export function deletesGradEvalSettings(data) {
    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.deletes,
        method: 'post',
        data
    })
}

 // 启用打分项
export function enableGradEvalSettings(data) {
    return request({
        url: ApiPath.graduation.gradBase.gradEvalSettings.enable,
        method: 'post',
        data
    })
}
 
