import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询学生名单
export function queryStudentList(params) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.query,
        method: 'get',
        params,
    })
}

// 获取学生名单
export function getStudentList(id) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增学生名单
export function createStudentList(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.create,
        method: 'post',
        data
    })
}


// 修改学生名单
export function updateStudentList(id, data) { 
    return request({
        url: ApiPath.graduation.gradBase.studentList.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除学生名单
export function deleteStudentList(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.studentList.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// batchUpdate
// 批量修改学生名单
export function batchUpdateStudentList(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.batchUpdate,
        method: 'post',
        data
    })
}


// 批量删除学生名单
export function deletesStudentList(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.batchDelete,
        method: 'post',
        data
    })
}
 
// 按班级导入学生
export function importByClassStudentList(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.importByClass,
        method: 'post',
        data
    })
}


// 字符串导入学生
export function importByCodeStudentList(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.importByCode,
        method: 'post',
        data
    })
}



// 设置课题
export function setTopic(data) {
    return request({
        url: ApiPath.graduation.gradBase.studentList.setTopic,
        method: 'post',
        data
    })
}

