import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询教师名单
export function queryTeacherList(params) {
    return request({
        url: ApiPath.graduation.gradBase.teacherList.query,
        method: 'get',
        params,
    })
}

// 获取教师名单
export function getTeacherList(id) {
    return request({
        url: ApiPath.graduation.gradBase.teacherList.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增教师名单
export function createTeacherList(data) {
    return request({
        url: ApiPath.graduation.gradBase.teacherList.create,
        method: 'post',
        data
    })
}


// 修改教师名单
export function updateTeacherList(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.teacherList.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除教师名单
export function deleteTeacherList(id, data) {

    return request({
        url: ApiPath.graduation.gradBase.teacherList.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除教师名单
export function deletesTeacherList(data) {
    return request({
        url: ApiPath.graduation.gradBase.teacherList.batchDelete,
        method: 'post',
        data
    })
}



// 导入教师名单
export function importByCodeTeacherList(data) {
    return request({
        url: ApiPath.graduation.gradBase.teacherList.importByCodeTea,
        method: 'post',
        data
    })
}
