import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import {
    EDU_GRADUATION_SERVICE_PATH, // 毕业设计  
} from "string-edu-middleware/api/index";


// 查询毕业论文管理
export function queryGradPapers(params) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/`,
        method: 'get',
        params,
    })
}

// 获取毕业论文管理
export function getGradPapers(id) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/${id}/`,
        method: 'get',
    })
}

// 新增毕业论文管理
export function createGradPapers(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/create/`,
        method: 'post',
        data
    })
}


// 修改毕业论文管理
export function updateGradPapers(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除毕业论文管理
export function deleteGradPapers(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/${id}/delete/`,
        method: 'post',
        data
    })
}

// 批量删除毕业论文管理
export function deletesGradPapers(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/papers/deletes/`,
        method: 'post',
        data
    })
}


// 查询任务书列表
export function queryPaperTasks(params) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_tasks/`,
        method: 'get',
        params
    })
}

// 修改任务书
export function updatePaperTasks(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_tasks/${id}/update/`,
        method: 'post',
        data
    })
}

// 任务书
export function verifyPaperTasks(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_tasks/verify/`,
        method: 'post',
        data
    })
}


// 毕业论文指导书
export function updatePaperGuides(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_guides/${id}/update/`,
        method: 'post',
        data
    })
}


// 查询毕业论文开题报告
export function queryPaperOpenReports(params) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_open_reports/`,
        method: 'get',
        params
    })
}



// 修改毕业论文开题报告
export function updatePaperOpenReports(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_open_reports/${id}/update/`,
        method: 'post',
        data
    })
}


// 审核开题报告
export function verifyOpen(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_open_reports/verify/`,
        method: 'post',
        data
    })
}


// 查询毕业论文中期检查
export function queryPaperInspections(params) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_inspections/`,
        method: 'get',
        params
    })
}


// 修改毕业论文中期检查
export function updatePaperInspections(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_inspections/${id}/update/`,
        method: 'post',
        data
    })
}


// 审核毕业论文中期检查
export function verifyPaperInspections(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_inspections/verify/`,
        method: 'post',
        data
    })
}

// 中期检查开题报告
export function verifyInspections(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_inspections/verify/`,
        method: 'post',
        data
    })
}





// ============指导记录===============
// 修改
export function updatePaperGuideRecords(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_guide_records/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除
export function deletePaperGuideRecords(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_guide_records/${id}/delete/`,
        method: 'post',
        data
    })
}

// 创建
export function addPaperGuideRecords(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_guide_records/create/`,
        method: 'post',
        data
    })
}




// ============论文查重===============
// 修改
export function updatePaperDuplicateChecks(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_duplicate_checks/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除
export function deletePaperDuplicateChecks(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_duplicate_checks/${id}/delete/`,
        method: 'post',
        data
    })
}

// 创建
export function addPaperDuplicateChecks(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_duplicate_checks/create/`,
        method: 'post',
        data
    })
}





// ============论文推优===============

// 查询论文推优
export function queryGradPaperRecommendGoods(params) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/`,
        method: 'get',
        params,
    })
}

// 获取论文推优
export function getGradPaperRecommendGoods(id) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/${id}/`,
        method: 'get',
    })
}


// 新增论文推优
export function createGradPaperRecommendGoods(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/create/`,
        method: 'post',
        data
    })
}


// 修改论文推优
export function updateGradPaperRecommendGoods(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除论文推优
export function deleteGradPaperRecommendGoods(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/${id}/delete/`,
        method: 'post',
        data
    })
}

// 批量删除论文推优
export function deleteBatchGradPaperRecommendGoods(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/deletes/`,
        method: 'post',
        data
    })
}


// 审核论文推优
export function verifyRecommend(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_recommend_goods/verify/`,
        method: 'post',
        data
    })
}

// ============论文批阅===============

// 新增论文批阅
export function createGradPaperReviews(data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_reviews/create/`,
        method: 'post',
        data
    })
}


// 修改论文批阅
export function updateGradPaperReviews(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_reviews/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除论文批阅
export function deleteGradPaperReviews(id, data) {
    return request({
        url: `${EDU_GRADUATION_SERVICE_PATH}/paper_reviews/${id}/delete/`,
        method: 'post',
        data
    })
}


