import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询学生选题
export function querySelection(params) {
    return request({
        url: ApiPath.graduation.gradSelections.selection.query,
        method: 'get',
        params,
    })
}

// 获取学生选题
export function getSelection(id) {
    return request({
        url: ApiPath.graduation.gradSelections.selection.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增学生选题
export function createSelection(data) {
    return request({
        url: ApiPath.graduation.gradSelections.selection.create,
        method: 'post',
        data
    })
}


// 修改学生选题
export function updateSelection(id, data) {

    return request({
        url: ApiPath.graduation.gradSelections.selection.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除学生选题
export function deleteSelection(id, data) {

    return request({
        url: ApiPath.graduation.gradSelections.selection.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除学生选题
export function deletesSelection(data) {
    return request({
        url: ApiPath.graduation.gradSelections.selection.deletes,
        method: 'post',
        data
    })
}
