import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
 

// 查询课题适用专业
export function queryGradStudentScores(params) {
    return request({
        url: ApiPath.graduation.gradStudentScores.gradStudentScores.query,
        method: 'get',
        params,
    })
}

// 获取课题适用专业
export function getGradStudentScores(id) {
    return request({
        url: ApiPath.graduation.gradStudentScores.gradStudentScores.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增课题适用专业
export function createGradStudentScores(data) {
    return request({
        url: ApiPath.graduation.gradStudentScores.gradStudentScores.create,
        method: 'post',
        data
    })
}


// 修改课题适用专业
export function updateGradStudentScores(id, data) {

    return request({
        url: ApiPath.graduation.gradStudentScores.gradStudentScores.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量修改课题适用专业
export function batchUpdateGradStudentScores(data) { 
    return request({
        url: ApiPath.graduation.gradStudentScores.gradStudentScores.batchUpdate,
        method: 'post',
        data
    })
}
 

 
 
