import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询学生选题管理
export function queryTopics(params) {
    return request({
        url: ApiPath.graduation.gradTopics.topics.query,
        method: 'get',
        params,
    })
}

// 获取学生选题管理
export function getTopics(id) {
    return request({
        url: ApiPath.graduation.gradTopics.topics.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增学生选题管理
export function createTopics(data) {
    return request({
        url: ApiPath.graduation.gradTopics.topics.create,
        method: 'post',
        data
    })
}


// 修改学生选题管理
export function updateTopics(id, data) {

    return request({
        url: ApiPath.graduation.gradTopics.topics.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除学生选题管理
export function deleteTopics(id, data) {

    return request({
        url: ApiPath.graduation.gradTopics.topics.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除学生选题管理
export function deletesTopics(data) {
    return request({
        url: ApiPath.graduation.gradTopics.topics.deletes,
        method: 'post',
        data
    })
}
