import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询考勤
export function queryAttendances(params) {
    return request({
        url: ApiPath.educationPractice.attendances.query,
        method: 'get',
        params,
    })
}

// 获取考勤
export function getAttendances(id) {
    return request({
        url: ApiPath.educationPractice.attendances.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增考勤
export function createAttendances(data) {
    return request({
        url: ApiPath.educationPractice.attendances.create,
        method: 'post',
        data
    })
}


// 修改考勤
export function updateAttendances(id, data) {
    return request({
        url: ApiPath.educationPractice.attendances.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除考勤
export function deleteAttendances(id, data) {
    return request({
        url: ApiPath.educationPractice.attendances.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除考勤
export function deletesAttendances(data) {
    return request({
        url: ApiPath.educationPractice.attendances.batchDelete,
        method: 'post',
        data
    })
}


