import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询批次
export function queryPracticeBatch(params) {
    return request({
        url: ApiPath.educationPractice.batch.query,
        method: 'get',
        params,
    })
}

// 获取批次
export function getPracticeBatch(id) {
    return request({
        url: ApiPath.educationPractice.batch.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增批次
export function createPracticeBatch(data) {
    return request({
        url: ApiPath.educationPractice.batch.create,
        method: 'post',
        data
    })
}


// 修改批次
export function updatePracticeBatch(id, data) {

    return request({
        url: ApiPath.educationPractice.batch.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除批次
export function deletePracticeBatch(id, data) {

    return request({
        url: ApiPath.educationPractice.batch.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除批次
export function deletesPracticeBatch(data) {
    return request({
        url: ApiPath.educationPractice.batch.deletes,
        method: 'post',
        data
    })
}

 