import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询学生名单
export function queryPraStudentList(params) {
    return request({
        url: ApiPath.educationPractice.studentList.query,
        method: 'get',
        params,
    })
}

// 获取学生名单
export function getPraStudentList(id) {
    return request({
        url: ApiPath.educationPractice.studentList.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增学生名单
export function createPraStudentList(data) {
    return request({
        url: ApiPath.educationPractice.studentList.create,
        method: 'post',
        data
    })
}


// 修改学生名单
export function updatePraStudentList( data) {

    return request({
        url: ApiPath.educationPractice.studentList.update,
        method: 'post',
        data
    })
}

// 删除学生名单
export function deletePraStudentList(id, data) {

    return request({
        url: ApiPath.educationPractice.studentList.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除学生名单
export function deletesPraStudentList(data) {
    return request({
        url: ApiPath.educationPractice.studentList.batchDelete,
        method: 'post',
        data
    })
}
 
// 导入学生名单
export function importPraStudentList(data) {
    return request({
        url: ApiPath.educationPractice.studentList.importByCode,
        method: 'post',
        data
    })
}


// 导入学生名单-按班级导入
export function importPraByClass(data) {
    return request({
        url: ApiPath.educationPractice.studentList.importByClass,
        method: 'post',
        data
    })
}
