import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询企业变更记录
export function queryCompanyChanges(params) { 
    return request({
        url: ApiPath.educationPractice.companyChanges.query,
        method: 'get',
        params,
    })
}

// 获取企业变更记录
export function getCompanyChanges(id) {
    return request({
        url: ApiPath.educationPractice.companyChanges.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增企业变更记录
export function createCompanyChanges(data) {
    return request({
        url: ApiPath.educationPractice.companyChanges.create,
        method: 'post',
        data
    })
}


// 修改企业变更记录
export function updateCompanyChanges(id, data) { 
    return request({
        url: ApiPath.educationPractice.companyChanges.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除企业变更记录
export function deleteCompanyChanges(id, data) { 
    return request({
        url: ApiPath.educationPractice.companyChanges.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除企业变更记录
export function deletesCompanyChanges(data) {
    return request({
        url: ApiPath.educationPractice.companyChanges.batchDelete,
        method: 'post',
        data
    })
}

  
// 审核
export function verifyCompanyChanges(data) {
    return request({
        url: ApiPath.educationPractice.companyChanges.verify,
        method: 'post',
        data
    })
}

 