import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询日记
export function queryDiaries(params) { 
    return request({
        url: ApiPath.educationPractice.diaries.query,
        method: 'get',
        params,
    })
}

// 获取日记
export function getDiaries(id) {
    return request({
        url: ApiPath.educationPractice.diaries.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增日记
export function createDiaries(data) {
    return request({
        url: ApiPath.educationPractice.diaries.create,
        method: 'post',
        data
    })
}


// 修改日记
export function updateDiaries(id, data) { 
    return request({
        url: ApiPath.educationPractice.diaries.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除日记
export function deleteDiaries(id, data) { 
    return request({
        url: ApiPath.educationPractice.diaries.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除日记
export function deletesDiaries(data) {
    return request({
        url: ApiPath.educationPractice.diaries.batchDelete,
        method: 'post',
        data
    })
}

 
