import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询周记
export function queryDiaryWeeks(params) { 
    return request({
        url: ApiPath.educationPractice.diaryWeeks.query,
        method: 'get',
        params,
    })
}

// 获取周记
export function getDiaryWeeks(id) {
    return request({
        url: ApiPath.educationPractice.diaryWeeks.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增周记
export function createDiaryWeeks(data) {
    return request({
        url: ApiPath.educationPractice.diaryWeeks.create,
        method: 'post',
        data
    })
}


// 修改周记
export function updateDiaryWeeks(id, data) { 
    return request({
        url: ApiPath.educationPractice.diaryWeeks.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除周记
export function deleteDiaryWeeks(id, data) { 
    return request({
        url: ApiPath.educationPractice.diaryWeeks.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除周记
export function deletesDiaryWeeks(data) {
    return request({
        url: ApiPath.educationPractice.diaryWeeks.batchDelete,
        method: 'post',
        data
    })
}

 
