import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询巡查
export function queryInspections(params) { 
    return request({
        url: ApiPath.educationPractice.inspections.query,
        method: 'get',
        params,
    })
}

// 获取巡查
export function getInspections(id) {
    return request({
        url: ApiPath.educationPractice.inspections.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增巡查
export function createInspections(data) {
    return request({
        url: ApiPath.educationPractice.inspections.create,
        method: 'post',
        data
    })
}

// 批量新增巡查
export function batchCreateInspections(data) {
    return request({
        url: ApiPath.educationPractice.inspections.batchCreates,
        method: 'post',
        data
    })
} 



// 修改巡查
export function updateInspections(id, data) { 
    return request({
        url: ApiPath.educationPractice.inspections.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除巡查
export function deleteInspections(id) { 
    return request({
        url: ApiPath.educationPractice.inspections.delete.replace("<id>", id),
        method: 'post', 
    })
}

// 批量删除巡查
export function deletesInspections(data) {
    return request({
        url: ApiPath.educationPractice.inspections.batchDelete,
        method: 'post',
        data
    })
}

 
