import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询总结
export function querySummaries(params) { 
    return request({
        url: ApiPath.educationPractice.summaries.query,
        method: 'get',
        params,
    })
}

// 获取总结
export function getSummaries(id) {
    return request({
        url: ApiPath.educationPractice.summaries.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增总结
export function createSummaries(data) {
    return request({
        url: ApiPath.educationPractice.summaries.create,
        method: 'post',
        data
    })
}


// 修改总结
export function updateSummaries(id, data) { 
    return request({
        url: ApiPath.educationPractice.summaries.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 删除总结
export function deleteSummaries(id, data) { 
    return request({
        url: ApiPath.educationPractice.summaries.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

// 批量删除总结
export function deletesSummaries(data) {
    return request({
        url: ApiPath.educationPractice.summaries.batchDelete,
        method: 'post',
        data
    })
}

 
