import request from 'string-edu-middleware/utils/request'
import { EDU_LABORATORY_SERVICE_PATH } from "string-edu-middleware/api/index"

// 查询实验室信息
export function queryLabs(params) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/`,
        method: 'get',
        params,
    })
}

//查询单个实验室信息
export function getLab(id) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/${id}/`,
        method: 'get'
    })
}

// 新增实验室
export function createLab(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/create/`,
        method: 'post',
        data
    })
}


// 修改实验室
export function updateLab(id, data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除实验室
export function deleteLab(id) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/${id}/delete/`,
        method: 'get',
    })
}

// 批量删除实验室
export function deleteLabs(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/deletes/`,
        method: 'post',
        data
    })
}

//修改实验室预约状态
export function updateStatus(id, params) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/${id}/updateStatus/?status=${params}`,
        method: 'get',
    })
} 

//修改实验室预约状态
export function queryAvlLab(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabs/getAvlLab/`,
        method: 'post',
        data
    })
}

