import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"

// 查询系统设置
export function querySystems(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/`,
        method: 'get',
        params,
    })
}

//查询单个系统设置
export function getSystems(id) {  
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/${id}/`,
        method: 'get' 
    })
}

// 新增系统设置
export function createSystems(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/create/`,
        method: 'post',
        data
    })
}


// 修改系统设置
export function updateSystems(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除系统设置
export function deleteSystems(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/${id}/delete/`,
        method: 'get',
    })
}

// 批量删除系统设置
export function deletesSystems(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/deletes/`,
        method: 'post',
        data
    })
}

//查询可用预约规则
export function queryUsefulRule() { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrderRules/getUseRule/`,
        method: 'get',
    })
}

 
