import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"

// 查询维修记录
export function queryEquipRepairRecords(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/`,
        method: 'get',
        params,
    })
}

//查询单个维修记录
export function getEquipRepairRecord(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/${id}/`,
        method: 'get' 
    })
}

// 新增维修记录
export function createEquipRepairRecord(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/create/`,
        method: 'post',
        data
    })
}


// 修改维修记录
export function updateEquipRepairRecord(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除维修记录
export function deleteEquipRepairRecord(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/${id}/delete/`,
        method: 'get',
    })
}

// 批量删除维修记录
export function deleteEquipRepairRecords(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchRepairs/deletes/`,
        method: 'post',
        data
    })
}

 
