import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"

// 查询设备信息
export function queryEqus(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/`,
        method: 'get',
        params,
    })
}

//查询单个设备信息
export function getEqu(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/${id}/`,
        method: 'get' 
    })
}

// 新增设备信息
export function createEqu(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/create/`,
        method: 'post',
        data
    })
}


// 修改设备信息
export function updateEqu(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除设备信息
export function deleteEqu(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/${id}/delete/`,
        method: 'get',
    })
}

// 批量删除设备信息
export function deleteEqus(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchEqus/deletes/`,
        method: 'post',
        data
    })
}

 
