import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"


// 查询预约记录
export function queryLabOrders(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/`,
        method: 'get',
        params,
    })
}

// 查询预约记录
export function queryLabOrdersByCode(code, params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${code}/getByUserCode/`,
        method: 'get',
        params,
    })
}

//查询单个预约记录
export function getLabOrder(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${id}/`,
        method: 'get' 
    })
}

//根据labId查询单个预约记录
export function getLabOrderByLabId(id) {  
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${id}/getByLabId/`,
        method: 'get' 
    })
}


// 新增预约记录
export function createLabOrder(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/create/`,
        method: 'post',
        data
    })
}


// 修改预约记录
export function updateLabOrder(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除预约记录
export function deleteLabOrder(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${id}/delete/`,
        method: 'get',
    })
}

// 取消预约
export function cancelLabOrder(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchOrders/${id}/cancel/`,
        method: 'post',
        data
    })
}

 
