import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"



// 查询管理人员
export function queryManagePersons(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/`,
        method: 'get',
        params,
    })
}

//查询单个管理人员
export function getManagePerson(code) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/${code}/`,
        method: 'get' 
    })
}

// 新增管理人员
export function createManagePerson(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/create/`,
        method: 'post',
        data
    })
}


// 修改管理人员
export function updateManagePerson(code, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/${code}/update/`,
        method: 'post',
        data
    })
}

// 删除管理人员
export function deleteManagePerson(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/${id}/delete/`,
        method: 'get',
    })
}

// 批量删除管理人员
export function deleteManagePersons(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchMasters/deletes/`,
        method: 'post',
        data
    })
}

 
