import request from 'string-edu-middleware/utils/request'
import {EDU_LABORATORY_SERVICE_PATH} from "string-edu-middleware/api/index"


// 查询使用记录
export function queryUsageRecords(params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/`,
        method: 'get',
        params,
    })
}

//查询单个使用记录
export function getUsageRecord(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/${id}/`,
        method: 'get' 
    })
}

//根据实验室获取记录
export function getUsageRecordByLabId(id, params) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/${id}/getByLabId/`,
        method: 'get' ,
        params
    })
}

// 新增使用记录
export function createUsageRecord(data) {
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/create/`,
        method: 'post',
        data
    })
}


// 修改使用记录
export function updateUsageRecord(id, data) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除使用记录
export function deleteUsageRecord(id) { 
    return request({
        url: `${EDU_LABORATORY_SERVICE_PATH}/tchLabUses/${id}/delete/`,
        method: 'get',
    })
}

 
