
import request from 'string-edu-middleware/utils/request'
import {
    EDU_PAYMENT_SERVICE_PATH,//支付
    EDU_ENTER_SERVICE_URL 
} from "string-edu-middleware/api/index"

// =============== 考试 ===============
// 查询考试
export function queryExams(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/`,
        method: `get`,
        params
    })
}

// 获取单个考试
export function getExams(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/${id}/`,
        method: `get`,
    })

}


// 新增考试
export function createExams(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/create/`,
        method: `post`,
        data
    })
}


// 修改考试
export function updateExams(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/${id}/update/`,
        method: `post`,
        data
    })
}



// 删除考试
export function deleteExams(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/${id}/delete/`,
        method: `post`,
    })
}


// 批量删除考试
export function batchDeleteExam(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exams/deletes/`,
        method: `post`,
        data
    })
}


// =============== 考试 END ===============

// =============== 考试场次 ===============
// 查询考试场次
export function queryExamRounds(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_rounds/`,
        method: `get`,
        params
    })
}

// 获取单个考试场次
export function getExamRoundse(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_rounds/${id}/`,
        method: `get`,
    })

}


// 新增考试场次
export function createExamRounds(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_rounds/create/`,
        method: `post`,
        data
    })
}


// 修改考试场次
export function updateExamRounds(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_rounds/${id}/update/`,
        method: `post`,
        data
    })
}



// 删除考试场次
export function deleteExamRounds(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_rounds/${id}/delete/`,
        method: `post`,
    })
}

 
// =============== 考试场次END ===============





// =============== 学生范围 ===============

// 查询学生范围
export function queryExamRanges(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/`,
        method: `get`,
        params
    })
}

// 获取单个学生范围
export function getExamRanges(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/${id}/`,
        method: `get`,
    })

}

// 新增学生范围
export function createExamRanges(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/create/`,
        method: `post`,
        data
    })
}

// 修改学生范围
export function updateExamRanges(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/${id}/update/`,
        method: `post`,
        data
    })
}

// 删除学生范围
export function deleteExamRanges(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/${id}/delete/`,
        method: `post`,
    })
}


// 批量删除学生
export function batchDeleteExamRanges(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/deletes/`,
        method: `post`,
        data
    })
}


// 学生范围-文本框导入
export function importExamRanges(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/exam_ranges/import/`,
        method: `post`,
        data
    })
}

// =============== 学生范围END ===============




// =============== 学生名单 ===============

// 查询学生名单
export function queryStudents(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/`,
        method: `get`,
        params
    })
}

// 获取单个学生名单
export function getStudents(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/${id}/`,
        method: `get`,
    })

}

// 新增学生名单
export function createStudent(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/create/`,
        method: `post`,
        data
    })
}


// 批量新增学生名单
export function batchCreateStudents(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/creates/`,
        method: `post`,
        data
    })
}

// 修改学生名单
export function updateStudents(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/${id}/update/`,
        method: `post`,
        data
    })
}

// 删除学生名单
export function deleteStudents(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/${id}/delete/`,
        method: `post`,
    })
}

// 学生名单-自动生成准考证号 
export function autoGenerateGenerate(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/auto_generate/`,
        method: `post`,
        data
    })
}

// 学生名单-批量修改学生名单
export function batchUpdateStudents(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/updates/`,
        method: `post`,
        data
    })
}


// 批量删除学生
export function batchDeleteStudents(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/deletes/`,
        method: `post`,
        data
    })
}


// 学生名单-文本框导入
export function importStudents(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/students/import/`,
        method: `post`,
        data
    })
}


// =============== 学生名单 END ===============





// =============== 学生成绩 ===============

// 查询学生成绩
export function queryGrades(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/`,
        method: `get`,
        params
    })
}


// 获取单个学生成绩
export function getGrades(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/${id}/`,
        method: `get`,
    })
}


// 新增学生成绩
export function createGrades(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/create/`,
        method: `post`,
        data
    })
}

// 修改学生成绩
export function updateGrades(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/${id}/update/`,
        method: `post`,
        data
    })
}

// 删除学生成绩
export function deleteGrades(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/${id}/delete/`,
        method: `post`,
    })
}


// 学生成绩-文本框导入
export function importGrades(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/grades/import/`,
        method: `post`,
        data
    })
}


// =============== 学生成绩 END ===============


// =============== 排考方案 ===============

// 获取单个排考方案
export function getExamPlans(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/${id}/`,
        method: `get`,
    })
}




// 修改排考方案
export function updateExamPlans(id, data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/${id}/update/`,
        method: `post`,
        data
    })
}

// 删除排考方案
export function deleteExamPlans(id) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/${id}/delete/`,
        method: `post`,
    })
}


// 排考方案-自动排考
export function autoGenerateExamPlans(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/auto_generate/`,
        method: `post`,
        data
    })
}

// 排考方案-取消排考
export function cancelExamPlans(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/cancel/`,
        method: `get`,
        params
    })
}


// 排考方案-查看排考进度
export function progressExamPlans(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/exam_plans/progress/`,
        method: `get`,
        params
    })
}

// =============== 排考方案 END ===============






// =============== 缴费退费 =============== 
// 支付成功回调
export function orderNotify(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/orders/notify/`,
        method: `get`,
        params
    })
}

// 缴费
export function orderPay(data) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/orders/pay/`,
        method: `post`,
        responseType: `arraybuffer`,
        heads: {
            'content-type': `application/x-www-form-urlencoded`
        },
        data
    })
}

// 支付成功回调
export function orderRestudyRefundSuccess(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/orders/restudyRefundSuccess/`,
        method: `get`,
        params
    })
}

// EDU_PAYMENT_SERVICE_PATH



  // 支付报名费用（考试报名）
export function payExam (data) {
    return request({
      url: `${EDU_PAYMENT_SERVICE_PATH}/order/createOrder/`,
      method: 'post',
      data
    })
  }
  
  // 退回报名费用（考试报名）
  export function refundExam (data) {
    return request({
      url: `${EDU_PAYMENT_SERVICE_PATH}/order/refund/`,
      method: 'post',
      data
    })
  }







// =============== 排考方案 END ===============


// =============== 操作日志===============


// 查看操作日志
export function tchLogEnters(params) {
    return request({
        url: `${EDU_ENTER_SERVICE_URL}/base/tchLogEnters/`,
        method: `get`,
        params
    })
}

// =============== 操作日志 END ===============



