import request from 'string-edu-middleware/utils/request'
import {EDU_COLLECT_DATA_SERVICE_URL} from "string-edu-middleware/api/index"

// 查询使用记录
export function queryMaintains (params) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/`,
    method: 'get',
    params,
  })
}

//查询单个使用记录
export function getMaintain (id) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/${id}/`,
    method: 'get'
  })
}

// 新增使用记录
export function createMaintain (data) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/create/`,
    method: 'post',
    data
  })
}


// 修改使用记录
export function updateMaintain (id, data) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除使用记录
export function deleteMaintain (id) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/${id}/delete/`,
    method: 'get',
  })
}

// 删除使用记录
export function updateStatus (id, params) {
  return request({
    url: `${EDU_COLLECT_DATA_SERVICE_URL}/maintains/${id}/updateStatus/?status=${params}`,
    method: 'get',
  })
}

// 重新生成数据
export function generateData (data) {
  return request({
    url: data.generateUrl,
    method: 'post',
    data
  })
}
