import request from 'string-edu-middleware/utils/request'

import { EDU_TOOLS_SERVICE_PATH } from "string-edu-middleware/api/index"
// 查询系统设置
export function toolSystems(params) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/systems/`,
        method: `get`,
        params
    })
} 

// 修改系统设置
export function updateSystems(id, data) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/systems/${id}/update/`,
        method: `post`,
        data
    })
}

// 自动分班
export function autoSplitClass(data) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/split/auto_split_class/`,
        method: `post`,
        data
    })
}

// 生成学号
export function autoGenerate(data) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/split/generate/`,
        method: `post`,
        data
    })
}

// 手动合班
export function autoMerge(data) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/split/merge/`,
        method: `post`,
        data
    })
}

// 手动拆班
export function autoSplit(data) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/split/split/`,
        method: `post`,
        data
    })
}


//自动分班- 查询班级
export function queryAutoClass(params) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/classes/`,
        method: `get`,
        params
    })
}

//自动分班- 查询学生
export function queryAutoStudent(params) {
    return request({
        url: `${EDU_TOOLS_SERVICE_PATH}/students/`,
        method: `get`,
        params
    })
}



//导入到预排学生表的url
export function getDownChoiceCourseURL() {
    return `${window.string.SERVICE_HOST}${EDU_TOOLS_SERVICE_PATH}/import/`
} 
 

//自动分班下载模板接口
export function getTemplateAutoURL() {
    return `${window.string.SERVICE_HOST}${EDU_TOOLS_SERVICE_PATH}/import/getTemplate/`;
} 

