import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import requestLocal from "@/utils/request"

// api\index.js
import { EDUCATION_PATH } from "string-edu-middleware/api/index"
// ==================查询排课方案=================
// 查询排课方案
export function queryArrangeCourse (params) {

  return request({
    url: ApiPath.education.edu.arrange.queryEduArrange.query,
    method: 'get',
    params
  })
}
// 查询排课方案
export function queryTimeTable (params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/time_table/`,
    method: 'get',
    params
  })
}


// 获取排课方案
export function getArrangeCourse (id) {
  return request({
    url: ApiPath.education.edu.arrange.get,
    method: 'get',
    params: {
      arrangeId: id
    }
  })
}

// ==================新增排课方案=================
// 新增排课方案
export function createArrangeCourse (data) {
  return request({
    url: ApiPath.education.edu.arrange.createEduArrange.create,
    method: 'post',
    data
  })
}



// ==================修改排课方案=================
// 修改排课方案
export function updateArrangeCourse (data) {
  return request({
    url: ApiPath.education.edu.arrange.updateEduArrange.update,
    method: 'post',
    data
  })

}




// ==================删除排课方案=================
// 删除排课方案
export function deleteArrangeCourse (id) {
  return request({
    url: ApiPath.education.edu.arrange.deleteEduArrange.delete,
    method: 'post',
    data: {
      arrangeId: id
    }
  })
}




// ==================取消排课方案=================


// 取消排课方案
export function cancelArrange (params) {
  return request({
    url: ApiPath.education.edu.arrange.cancelArrange.default,
    method: 'get',
    params
  })

}


// ==================查询排课结果=================
// 排课结果
// 周课时-查询
export function schedules_query (params) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_query_perm.query,
    method: 'get',
    params
  })
}

export function schedulesQuery (params) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_query_perm.school,
    method: 'get',
    params
  })
}

// // ==================查看排课进度=================


export function queryProgress (params) {
  return request({
    url: ApiPath.education.edu.arrange.queryProgress,
    method: 'get',
    params
  })
}


// ==================查询单个排课结果=================
// 周课时-查单个
export function schedules_get (id) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_get,
    method: 'get',
    params: {
      scheduleId: id
    }

  })
}

// ==================新增排课结果=================

// 周课时-新增
export function schedules_create (data) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_create_perm.create,
    method: 'post',
    data
  })
}


// 周课时-新增
export function schedulesCreate (data) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_create_perm.school,
    method: 'post',
    data
  })
}




// ==================修改排课结果=================

// 周课时-更新
export function schedules_update (data) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_update_perm.update,
    method: 'post',
    data
  })
}



// ==================删除排课结果=================
// 周课时-删除
export function schedules_delete (id) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_delete_perm.delete,
    method: 'post',
    data: {
      scheduleId: id
    }
  })
}

export function schedulesDelete (id) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_delete_perm.school,
    method: 'post',
    data: {
      scheduleId: id
    }
  })
}




// ==================批量删除排课结果=================
// 周课时-批量删除
export function schedules_batch_delete (data) {
  return request({
    url: ApiPath.education.edu.arrange.schedules_batch_delete_perm.batch_delete,
    method: 'post',
    data
  })
}

// ==================自动排课=================
// 执行排课操作
export function arrange (data) {
  return request({
    url: ApiPath.education.edu.arrange.arrangePerm.arrange,
    method: 'post',
    data
  })
}

// ==================查询排课方案=================
//排课方案-查询教学任务
export function getAvailableTasks (params) {
  return request({
    url: ApiPath.education.edu.arrange.queryAvailableTasksPerm.school,
    method: 'get',
    params
  })
}


// ==================查询课程表=================



// /education_edu/time_table/
// 实时课表查询

export function queryScheduleCourseTimeTable (params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/time_table/`,
    method: 'get',
    params
  })
}




// 全部课表
export function queryScheduleCourse (params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/schedules/Schedule/`,
    method: 'get',
    params
  })
}


// 查询课表，以班级为单位进行查询
export function queryScheduleAllClassCourse (params) {
  return requestLocal({
    url: `${EDUCATION_PATH}/education_edu/schedules/all_school/`,
    method: 'get',
    params
  })
}



//学生课程表
export function queryStudentSch (params) {
  return request({
    url: ApiPath.education.edu.arrange.studentScheduleURL.queryStudentSch,
    method: 'get',
    params
  })
}

//查看课表（教室）
export function queryRoomSchedule (params) {
  return request({
    url: ApiPath.education.edu.arrange.studentScheduleURL.queryRoomSchedule,
    method: 'get',
    params
  })
}

//查看空教室 列表
export function queryEmpty (params) {
  return request({
    url: ApiPath.education.edu.arrange.studentScheduleURL.queryEmpty,
    method: 'get',
    params
  })
}

// 查看课表（教师）
export function queryTeacherSchedule (params) {
  return request({
    url: ApiPath.education.edu.arrange.studentScheduleURL.queryTeacherSchedule,
    method: 'get',
    params
  })
}

// 空教室的查询
export function queryClassSchedule (params) {
  return request({
    url: ApiPath.education.edu.arrange.studentScheduleURL.queryClassSchedule,
    method: 'get',
    params
  })
}


//排课方案-查询教学教室
export function getAvailableRoom (id, params) {
  return request({
    url: ApiPath.education.edu.arrange.room.replace("<id>", id),
    method: 'get',
    params
  })
}



// 查看单个教学任务的所有排课结果--给查询整周实训排课用
export function getByTask (params) {
  return request({
    url: ApiPath.education.edu.arrange.getByTask,
    method: 'get',
    params
  })
}

// 排课冲突检查
export function arrangeCheck (data) {
  return request({
    url: ApiPath.education.edu.arrange.arrangeCheck,
    method: 'post',
    data
  })
}

// 根据排课结果过滤空教室
export function queryFilterRoom (data) {

  return request({
    url: `${EDUCATION_PATH}/education_edu/schedules/filter_room/`,
    method: 'post',
    data
  });

}









