import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request' 
 
// 查询供应商
export function queryBookSupplier(params) { 
    return request({
        url: ApiPath.education.edu.base.bookSupplier.query,
        method: 'get',
        params
    })
}

// 获取供应商
export function getBookSupplier(params) { 
    return request({
        url: ApiPath.education.edu.base.bookSupplier.get,
        method: 'get',
        params
    }) 
}

 
// 新增供应商
export function createBookSupplier(data) {
    return request({
        url: ApiPath.education.edu.base.bookSupplier.create,
        method: 'post',
        data
    })
}

 
// 修改供应商
export function updateBookSupplier(data) {
    return request({
        url: ApiPath.education.edu.base.bookSupplier.update,
        method: 'post',
        data 
    })
}

// 删除供应商
export function deleteBookSupplier(data) {
    return request({
        url: ApiPath.education.edu.base.bookSupplier.delete,
        method: 'post',
        data
    })
}
// 批量删除供应商
export function DeleteBookSupplier(data) {
    return request({
        url: ApiPath.education.edu.base.bookSupplier.deletes.query,
        method: 'post',
        data
    })
}

