import ApiPath from "string-edu-middleware/api/path"
import requestPublic from 'string-edu-middleware/utils/request'
import request from 'string-edu-middleware/utils/request'
 

// 查询班级
export function queryClass(params) {
    return request({
        url: ApiPath.education.edu.base.class.query,
        method: 'get',
        params
    })
}

// 获取班级
export function getClass(id) {
    return request({
        url: ApiPath.education.edu.base.class.get.replace("<id>",id),
        method: 'get',
    })
}

 
// 新增班级
export function createClass(data) {
    return request({
        url: ApiPath.education.edu.base.class.create,
        method: 'post',
        data
    })
}

 
// 修改班级
export function updateClass(id, data) {
    return request({
        url: ApiPath.education.edu.base.class.update.replace("<id>",id),
        method: 'post',
        data
    })
}

// 删除班级
export function deleteClass(id,data) {
    return request({
        url: ApiPath.education.edu.base.class.delete.replace("<id>",id),
        method: 'post',
        data
    })
}


// 批量删除班级
export function deleteBatchClass(data) {
    return request({
        url: ApiPath.education.edu.base.class.batchDelete,
        method: 'post',
        data
    })
}




