import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import { EDUCATION_PATH, EDUCATION_BASE_PATH } from "string-edu-middleware/api/index"

// 查询课程
export function queryCourse (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_courses/`,
    method: 'get',
    params,

  })
}

// 获取课程
export function getCourse (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_courses/${id}/get/`,
    method: 'get',
  })
}

// 新增课程
export function createCourse (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_courses/create/`,
    method: 'post',
    data
  })
}

// 修改课程
export function updateCourse (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_courses/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除课程
export function deleteCourse (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_courses/${id}/delete/`,
    method: 'post',
    data
  })
}

// 导入课程信息接口
export function getImportCourse () {
  return `${window.string.SERVICE_HOST}${EDUCATION_BASE_PATH}/base/tch_courses/import/`;
}


// 上传课程文件的路径
export function getUpdateCourseTemplateURL () {
  return `${window.string.SERVICE_HOST}${EDUCATION_BASE_PATH}/base/tch_courses/importPreview/`;
}



// 下载课程模板的路径
export function getTemplateURL () {
  return `${window.string.SERVICE_HOST}/${EDUCATION_BASE_PATH}/base/tch_courses/getTemplate/`;
}