import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import {
  EDUCATION_BASE_PATH,//教务基础接口
  EDUCATION_PATH,//教务主体 
} from "string-edu-middleware/api/index"



// 查询教学单位
export function queryDepartment (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/department/`,
    method: 'get',
    params
  })
}


// 单个教学单位
export function getDepartment (id) {
  return request({
    url: ApiPath.education.edu.base.department.get.replace("<id>", id),
    method: 'get'
  })
}


// 创建教学单位
export function createDepartment (data) {
  return request({
    url: ApiPath.education.edu.base.department.create,
    method: 'post',
    data
  })
}


// 修改教学单位
export function updateDepartment (id, data) {

  return request({
    url: ApiPath.education.edu.base.department.update.replace("<id>", id),
    method: 'post',
    data
  })

}


// 删除教学单位
export function deleteDepartment (id) {
  return request({
    url: ApiPath.education.edu.base.department.delete.replace("<id>", id),
    method: 'post'
  })

}