import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

 
// 查询校外人员
export function queryExternalPerson(params) {

    return request({
        url: ApiPath.education.edu.base.externalPerson.query,
        method: 'get',
        params
    })
}

// 获取校外人员
export function getExternalPerson(id) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增校外人员
export function createExternalPerson(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.create,
        method: 'post',
        data
    })
}


// 修改校外人员
export function updateExternalPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 校外人员审核通过
export function updateApproved(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.approved,
        method: 'post',
        data
    })
}


// 校外人员审核不通过
export function updateRefuse(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.refuse,
        method: 'post',
        data
    })
}




// 删除校外人员
export function deleteExternalPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

//查询校外人员列表
export function queryAllOffCampusStaffs(params) {

    return request({
        url: ApiPath.education.edu.base.externalPerson.query,
        method: 'get',
        params
    })
}
//查看校外人员信息
export function getOffCampusPerson(id) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.get.replace("<id>", id),
        method: 'get',
    })
}
//删除校外人员
export function deleteOffCampusPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.delete.replace("<id>", id),
        method: 'post',
        data
    })
}


//新增校外人员
export function createOffCampusPerson(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.create,
        method: 'post',
        data
    })
}

//新增校外人员管理员
export function createOffCampusPersonAdmin(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.create_admin,
        method: 'post',
        data
    })
} 

export function updateOffCampusPerson(data) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.update,
        method: 'post',
        data
    })
}  

//启用校外人员
export function extEnablePerson(id) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.extEnablePerson.replace("<id>", id),
        method: 'post'
    })
}

//禁用校外人员
export function extDisablePerson(id) {
    return request({
        url: ApiPath.education.edu.base.externalPerson.extDisablePerson.replace("<id>", id),
        method: 'post'
    })
}