import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request' 
 
// 查询临时校外人员
export function queryExternalPerson(params) {
    return request({
        url: ApiPath.education.edu.base.temporary.query,
        method: 'get',
        params
    })
}

// 获取临时校外人员
export function getExternalPerson(id) {
    return request({
        url: ApiPath.education.edu.base.temporary.get.replace("<id>", id),
        method: 'get',
    })
}


// 新增临时校外人员
export function createExternalPerson(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.create,
        method: 'post',
        data
    })
}


// 修改临时校外人员
export function updateExternalPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.temporary.update.replace("<id>", id),
        method: 'post',
        data
    })
}

// 临时校外人员审核通过
export function updateApproved(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.approved,
        method: 'post',
        data
    })
}

// 临时校外人员审核不通过
export function updateRefuse(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.refuse,
        method: 'post',
        data
    })
}

// 删除临时校外人员
export function deleteExternalPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.temporary.delete.replace("<id>", id),
        method: 'post',
        data
    })
}

//查询临时校外人员列表
export function queryAllOffCampusStaffs(params) {

    return request({
        url: ApiPath.education.edu.base.temporary.query,
        method: 'get',
        params
    })
}
//查看临时校外人员信息
export function getOffCampusPerson(id) {
    return request({
        url: ApiPath.education.edu.base.temporary.get.replace("<id>", id),
        method: 'get',
    })
}
//删除临时校外人员
export function deleteOffCampusPerson(id, data) {
    return request({
        url: ApiPath.education.edu.base.temporary.delete.replace("<id>", id),
        method: 'post',
        data
    })
}



//新增临时校外人员
export function createOffCampusPerson(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.create,
        method: 'post',
        data
    })
}

//新增临时校外人员管理员
export function createOffCampusPersonAdmin(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.create_admin,
        method: 'post',
        data
    })
}


export function updateOffCampusPerson(data) {
    return request({
        url: ApiPath.education.edu.base.temporary.update,
        method: 'post',
        data
    })
}
 


//临时校外人员启用
export function enablePerson(id) {
    return request({
        url: ApiPath.education.edu.base.temporary.enablePerson.replace("<id>", id),
        method: 'post' 
    })
}


//临时校外人员禁用
export function disablePerson(id) {
    return request({
        url: ApiPath.education.edu.base.temporary.disablePerson.replace("<id>", id),
        method: 'post' 
    })
}

