import request from 'string-edu-middleware/utils/request';
import { EDUCATION_BASE_PATH } from "string-edu-middleware/api/index";

// 查询成绩等地
export function queryGradeLevel (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_grade_levels/`,
    method: 'get',
    params
  })
}

// 获取成绩等地
export function getGradeLevel (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_grade_levels/${id}/get/`,
    method: 'get',
  })
}


// 新增成绩等地
export function createGradeLevel (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_grade_levels/create/`,
    method: 'post',
    data
  })
}


// 修改成绩等地
export function updateGradeLevel (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_grade_levels/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除成绩等地
export function deleteGradeLevel (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_grade_levels/${id}/delete/`,
    method: 'post',
  })
}