
import request from 'string-edu-middleware/utils/request';
import { EDUCATION_BASE_PATH } from "string-edu-middleware/api/index";

// 查询班主任
export function queryHeadTeacher (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/`,
    method: 'get',
    params
  })
}

// 获取班主任
export function getHeadTeacher (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/${id}/get/`,
    method: 'get',
  })
}


// 新增班主任
export function createHeadTeacher (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/create/`,
    method: 'post',
    data
  })
}


// 修改班主任
export function updateHeadTeacher (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除班主任
export function deleteHeadTeacher (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/${id}/delete/`,
    method: 'post',
  })
}

// 下载班主任信息模板
export function downloadHeadteacherUrl () {
  return `${window.string.SERVICE_HOST}${EDUCATION_BASE_PATH}/base/headteacher/download/`
}

// 预览问题清单
export function previewHeadteacherUrl () {
  return `${window.string.SERVICE_HOST}${EDUCATION_BASE_PATH}/base/headteacher/preview/`
}

// 导入问题清单
export function importHeadTeacher (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/headteacher/import/`,
    method: 'post',
    data
  })
}


