import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 查询专业
export function queryMajor (params) {
  return request({
    url: ApiPath.education.edu.base.major.query,
    method: 'get',
    params
  })
}

// 获取专业
export function getMajor (id) {
  return request({
    url: ApiPath.education.edu.base.major.get.replace("<id>", id),
    method: 'get',
  })
}

// 新增专业
export function createMajor (data) {
  return request({
    url: ApiPath.education.edu.base.major.create,
    method: 'post',
    data
  })
}

// 修改专业
export function updateMajor (id, data) {
  return request({
    url: ApiPath.education.edu.base.major.update.replace("<id>", id),
    method: 'post',
    data
  })
}

// 删除专业
export function deleteMajor (id, data) {
  return request({
    url: ApiPath.education.edu.base.major.delete.replace("<id>", id),
    method: 'post',
    data
  })
}

