
import request from 'string-edu-middleware/utils/request'
import { EDU_PUBLIC_SERVICE_PATH } from 'string-edu-middleware/api/index'

// 行政人员
export function queryHremp(params) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/`,
  method: 'get',
  params
 })
}

// 查询单个行政人员
export function getHremp(id) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/${id}/`,
  method: 'get'
 })
}

// 新增行政人员
export function createHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/create/`,
  method: 'post',
  data
 })
}

// 修改行政人员
export function updateHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/update/`,
  method: 'data',
  data
 })
}

// 删除行政人员
export function deleteHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/delete/`,
  method: 'data',
  data
 })
}

// 新增行政人员(管理者)
export function adminCreateHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/create/controller/`,
  method: 'post',
  data
 })
}

// 修改行政人员(管理者)
export function adminUpdateHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/update/controller/`,
  method: 'post',
  data
 })
}

// 禁用行政人员
export function disableHremp(id) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/${id}/disable/`,
  method: 'data'
 })
}

// 启用行政人员
export function enableHremp(id) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/${id}/enable/`,
  method: 'data'
 })
}

// 行政人员审核通过
export function approvedHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/approved/`,
  method: 'data',
  data
 })
}

// 行政人员审核不通过
export function refuseHremp(data) {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/refuse/`,
  method: 'data',
  data
 })
} 

// 查询教职工类别  
export function queryTeacherType() {
 return request({
  url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/hremp/jzglb/`,
  method: 'get'
 })
} 