import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import { EDUCATION_BASE_PATH } from "string-edu-middleware/api/index";
// 按月查询校历明细
export function querySchoolCalendarentrys (statrDate, endDate) {
  return request({
    url: `${EDUCATION_BASE_PATH}/tch_teaching_calendarentrys/${statrDate}/${endDate}/query/`,
    method: 'get',
  })
}

// 查询校历明细
export function queryDetail (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/tch_teaching_calendarentrys/`,
    method: 'get',
    params
  })
}

// 获取校历明细
export function querySchoolCalendarentrysDate (params) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.getdate,
    method: 'get',
    params
  })
}

// 获取校历明细
export function getSchoolCalendarentrys (id) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.get.replace("<id>", id),
    method: 'get',
  })
}

// 自动生成校历明细
export function generatedSchoolCalendarentrys (id) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.generate.replace("<id>", id),
    method: 'post',
  })
}

// 新增校历明细
export function createSchoolCalendarentrys (data) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.create,
    method: 'post',
    data
  })
}

// 修改校历明细
export function updateSchoolCalendarentrys (id, data) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.update.replace("<id>", id),
    method: 'post',
    data
  })
}
// 修改校历明细事件
export function updateSchoolCalendarentrysEvent (data) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.updateEvent,
    method: 'post',
    data
  })
}

// 删除校历明细
export function deleteSchoolCalendarentrys (id) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.delete.replace("<id>", id),
    method: 'post',
  })
}

// 批量删除校历明细
export function deletesSchoolCalendarentrys (id) {
  return request({
    url: ApiPath.education.edu.base.schoolCalendarentrys.deletes.replace("<id>", id),
    method: 'post',
  })
}