import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import { EDUCATION_BASE_PATH } from "string-edu-middleware/api/index";
// 按月查询校历明细
export function querySchoolCalendarentrys(statrDate, endDate) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/${statrDate}/${endDate}/query/`,
        // url: ApiPath.education.edu.base.schoolCalendarentrys.query.replace("<id>", statrDate).replace("<id>", endDate),
        method: 'get',
    })
}

// 查询校历明细
export function queryDetail(params) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/`,
        method: 'get',
        params
    })
}

// 获取校历明细
export function querySchoolCalendarentrysDate(params) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/date/get/`,
        method: 'get',
        params
    })
}

// 获取校历明细
export function getSchoolCalendarentrys(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/${id}/get/`,
        method: 'get',
    })
}

// 自动生成校历明细
export function generatedSchoolCalendarentrys(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/${id}/generated/`,
        method: 'post',
    })
}

// 新增校历明细
export function createSchoolCalendarentrys(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/create/`,
        method: 'post',
        data
    })
}

// 修改校历明细
export function updateSchoolCalendarentrys(id, data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/${id}/update/`,
        method: 'post',
        data
    })
}
// 修改校历明细事件
export function updateSchoolCalendarentrysEvent(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/updateEvent/`,
        method: 'post',
        data
    })
}

// 删除校历明细
export function deleteSchoolCalendarentrys(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/${id}/delete/`,
        method: 'post',
    })
}
// 批量删除校历明细
export function deletesSchoolCalendarentrys(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/deletes/`,
        method: 'post',
    })
}

 
// 根据周次和星期查询校历明细信息 
export function getByWeek(params) {
    return request({
        url: `${EDUCATION_BASE_PATH}/calendar_entries/get_by_week/`,
        method: 'get',
        params
    })
} 