
import request from 'string-edu-middleware/utils/request'
//  api\index.js

import { EDUCATION_BASE_PATH } from "string-edu-middleware/api/index";


// 查询教研室
export function queryTchTeachOrgs(params) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/`,
        // url: ApiPath.base.tchTeachOrgs.tchTeachOrgs.query,
        method: 'get',
        params
    })
}
// 获取教研室
export function getTchTeachOrgs(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/${id}/get/`,
        method: 'get',
    })
}

// 新增教研室
export function createTchTeachOrgs(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/create/`,
        method: 'post',
        data
    })
}

// 修改教研室
export function updateTchTeachOrgs(id, data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除教研室
export function deleteTchTeachOrgs(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/${id}/delete/`,
        method: 'post',
    })
}

// 删除教研室
export function batchDeleteTchTeachOrgs(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_orgs/deletes/`,
        method: 'post',
        data
    })
}


// =================查询教研室-教师=======================

// 查询教研室-教师
export function queryTchTeachOrgTeachers(params) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/`,
        method: 'get',
        params
    })
}
// 获取教研室-教师
export function getTchTeachOrgTeachers(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/${id}/get/`,
        method: 'get',
    })
}

// 新增教研室-教师
export function createTchTeachOrgTeachers(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/create/`,

        method: 'post',
        data
    })
}

// 修改教研室-教师
export function updateTchTeachOrgTeachers(id, data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/${id}/update/`,
        method: 'post',
        data
    })
}

// 删除教研室-教师
export function deleteTchTeachOrgTeachers(id) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/${id}/delete/`,
        method: 'post',
    })
}

// 批量删除教研室-教师
export function batchDeleteTchTeachOrgTeachers(data) {
    return request({
        url: `${EDUCATION_BASE_PATH}/base/tch_teach_org_teachers/deletes/`,
        method: 'post',
        data
    })
}


