
import request from 'string-edu-middleware/utils/request'
import { EDUCATION_BASE_PATH } from 'string-edu-middleware/api/index'

// 查询节次
export function queryTeachingLesson (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_lessons/`,
    method: 'get',
    params
  })
}

// 获取节次
export function getTeachingLesson (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_lessons/${id}/get/`,
    method: 'get',
  })
}


// 新增节次
export function createTeachingLesson (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_lessons/create/`,
    method: 'post',
    data
  })
}


// 修改节次
export function updateTeachingLesson (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_lessons/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除节次
export function deleteTeachingLesson (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_lessons/${id}/delete/`,
    method: 'post',
  })
}