import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'


// 查询教学方式
export function queryTeachingMethod (params) {

  return request({
    url: ApiPath.education.edu.base.teachingMethod.query,
    method: 'get',
    params
  })
}

// 获取教学方式
export function getTeachingMethod (id) {
  return request({
    url: ApiPath.education.edu.base.teachingMethod.get.replace("<id>", id),
    method: 'get',
  })
}

const createData = {
  code: "",
  name: "",
  address: "",
}
// 新增教学方式
export function createTeachingMethod (data) {
  return request({
    url: ApiPath.education.edu.base.teachingMethod.create,
    method: 'post',
    data
  })
}

const updateData = {
  code: "",
  name: "",
  address: "",
}
// 修改教学方式
export function updateTeachingMethod (id, data) {
  return request({
    url: ApiPath.education.edu.base.teachingMethod.update.replace("<id>", id),
    method: 'post',
    data
  })
}

// 删除教学方式
export function deleteTeachingMethod (id, data) {
  return request({
    url: ApiPath.education.edu.base.teachingMethod.delete.replace("<id>", id),
    method: 'post',
    data
  })
}

