import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// 查询学期
export function queryTeachingSemester (params) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.query,
    method: 'get',
    params
  })
}

// 获取学期
export function getTeachingSemester (id) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.get.replace("<id>", id),
    method: 'get',
  })
}

// 新增学期
export function createTeachingSemester (data) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.create,
    method: 'post',
    data
  })
}

// 修改学期
export function updateTeachingSemester (id, data) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.update.replace("<id>", id),
    method: 'post',
    data
  })
}

// 删除学期
export function deleteTeachingSemester (id) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.delete.replace("<id>", id),
    method: 'post',
  })
}

// 修改学期并强行设为当前学期
export function updateAndIsCurrentTerm (data) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.updateAndIsCurrent,
    method: 'post',
    data
  })
}

// 新增学期并强行设为当前学期
export function createAndIsCurrentTerm (data) {
  return request({
    url: ApiPath.education.edu.base.teachingSemester.createAndIsCurrent,
    method: 'post',
    data
  })
}

