import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

// EDU_SELECT_COURSE_PATH
import { EDU_SELECT_COURSE_PATH } from "string-edu-middleware/api/index";

// api\index.js

// 查询管理员选课
export function queryChioceCourse (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/`,
    method: 'get',
    params
  })
}

// 获取管理员选课
export function getChioceCourse (id) {
  return request({
    url: ApiPath.education.edu.select.get,
    method: 'get',
    params: {
      informationId: id
    }
  })
}


// 新增管理员选课
export function createChioceCourse (value) {
  return request({
    url: ApiPath.education.edu.select.createChoiceCourse.create,
    method: 'post',
    data: value
  })
}



// 修改管理员选课
export function updateChioceCourse (data) {
  return request({
    url: ApiPath.education.edu.select.updateChoiceCourse.update,
    method: 'post',
    data
  })
}



// 删除管理员选课
export function deleteChioceCourse (id) {
  return request({
    url: ApiPath.education.edu.select.deleteChoiceCourse.delete,
    method: 'post',
    data: {
      informationId: id,
    }
  })
}


// 查询选课班级
export function queryClassChoice (params) {
  return request({
    url: ApiPath.education.edu.select.query_class_choice,
    method: 'get',
    params
  })
}


// 创建选课班级
export function createClassChoice (data) {
  return request({
    url: ApiPath.education.edu.select.create_class_choice,
    method: 'post',
    data
  })
}

// 删除选课班级
export function deleteClassChoice (data) {
  return request({
    url: ApiPath.education.edu.select.delete_class_choice,
    method: 'post',
    data
  })
}

// 选课，更新教学任务
export function choiceSyncTask (data) {
  return request({
    url: ApiPath.education.edu.select.sync_task,
    method: 'post',
    data
  })
}

// 学生查看自己能选的课程
export function getStudentValidCourses (params) {
  return request({
    // 学生查询可选任务
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/student/`,
    method: 'get',
    params
  })
}

// 学生选课
export function postStudentChooseCourse (data) {
  return request({
    // 学生选课
    url: `${EDU_SELECT_COURSE_PATH}/course_selection_students/select/`,
    method: 'post',
    data
  })
}


// 查询学生选课结果
export function getStudentReportCourses (params) {
  return request({
    url: ApiPath.education.edu.select.student_report,
    method: 'get',
    params
  })
}


//删除学生选课
export function deleteStudentCourse (data) {
  return request({
    // 
    // /course_selection_students/cancel/
    // 取消选课
    url: `${EDU_SELECT_COURSE_PATH}/course_selection_students/cancel/`,
    method: 'post',
    data
  })
}


//导出选课
export function exportSelectionCourse (data) {
  return request({
    url: ApiPath.education.edu.select.export_selection,
    method: 'post',
    data
  })
}


//导入选课
export function importSelectionCourse (data) {
  return request({
    url: ApiPath.education.edu.select.import_selection,
    method: 'post',
    data
  })
}
