import request from 'string-edu-middleware/utils/request';

import { EDU_CREDIT_BANK_SERVICE_PATH } from "string-edu-middleware/api/index"
  
/**
 * 联查
 * @param {} params 
 */
export function queryRule(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/`,
        method: 'get',
        params
    })
}
/**
 * 单纯查询表 不区分 课程类和非课程类
 * @param {} params 
 */
export function selectRule(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/list/`,
        method: 'get',
        params
    })
}
export function getRule(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/${id}/get/`,
        method: 'get'
    })
}

export function deleteRule(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/${id}/delete/`,
        method: 'post'
    })
}
export function createRule(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/create/`,
        method: 'post',
        data
    })
}
export function updateRule(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/rule/update/`,
        method: 'post',
        data
    })
}