import request from 'string-edu-middleware/utils/request';
import {EDU_CREDIT_BANK_SERVICE_PATH} from "string-edu-middleware/api/index"


export function importGainInformation(data) {
    return request({
        headers: {
            'Content-Type': `multipart/form-data`
          },
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/import/`,
        method: 'post',
        data
    })
} 
 
export function getTemplate() {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/getTemplate/`,
        method: 'get'
    })
}
 
export function importInformation(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/importInformation/`,
        method: 'post',
        data
    })
}
 
export function queryGainInformation(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/`,
        method: 'get',
        params
    })
}
 
export function selectGainInformation(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/list/`,
        method: 'get',
        params
    })
}

export function getGainInformation(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/${id}/get/`,
        method: 'get'
    })
}

export function queryAttachment(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/${id}/get/`,
        method: 'get'
    })
}

export function deleteGainInformation(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/${id}/delete/`,
        method: 'post'
    })
}

export function createGainInformation(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/create/`,
        method: 'post',
        data
    })
}

export function updateGainInformation(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/update/`,
        method: 'post',
        data
    })
}

// 返回上传文档的模板
export function getTemplateFile() {
    return `${window.string.SERVICE_HOST}/${EDU_CREDIT_BANK_SERVICE_PATH}/gainInformation/getTemplate/`
}
