import request from 'string-edu-middleware/utils/request';
import {EDU_CREDIT_BANK_SERVICE_PATH} from 'string-edu-middleware/api/index'


export function queryCreditConfirm(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/`,
        method: 'get',
        params
    })
}
 

export function selectCreditConfirm(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/getCredit/`,
        method: 'get',
        params
    })
}
 

export function getDetail(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/getDetail/`,
        method: 'get',
        params
    })
}
 

export function getCreditConfirm(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/get/`,
        method: 'get',
        params
    })
}
 

export function deleteCreditConfirm(id) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/${id}/delete/`,
        method: 'post'
    })
}
 

export function deleteByStuIdAndInfoId(params) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/delete/`,
        method: 'post',
        params
    })
}

export function createCreditConfirm(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/create/`,
        method: 'post',
        data
    })
}

export function createCreditConfirmList(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/createList/`,
        method: 'post',
        data
    })
}

export function updateCreditConfirm(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/update/`,
        method: 'post',
        data
    })
}

export function updateCreditConfirmList(data) {
    return request({
        url: `${EDU_CREDIT_BANK_SERVICE_PATH}/confirm/updateList/`,
        method: 'post',
        data
    })
}