import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request' 

 
// 查询考试方式
export function queryExamMode(params) {

    return request({
        url: ApiPath.education.edu.examnation.ExamMode.query,
        method: 'get',
        params
    })
}

// 获取考试方式
export function getExamMode(id) {
    return request({
        url: ApiPath.education.edu.examnation.ExamMode.get,
        method: 'get',
        params: {
            examId: id
        }
    })
} 

// 新增考试方式
export function createExamMode(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamMode.create,
        method: 'post',
        data
    })
}


// 修改考试方式
export function updateExamMode(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamMode.update,
        method: 'post',
        data
    })
}

// 删除考试方式
export function deleteExamMode(id, data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamMode.delete,
        method: 'post',
        data
    })
}


// 查询考试
export function queryExam(params) {

    return request({
        url: ApiPath.education.edu.examnation.exam.query,
        method: 'get',
        params
    })
}

// 获取考试
export function getExam(id) {
    return request({
        url: ApiPath.education.edu.examnation.exam.get,
        method: 'get',
        params: {
            examId: id
        }
    })
}

// 新增考试
export function createExam(data) {
    return request({
        url: ApiPath.education.edu.examnation.exam.create,
        method: 'post',
        data
    })
}

// 修改考试
export function updateExam(data) {
    return request({
        url: ApiPath.education.edu.examnation.exam.update,
        method: 'post',
        data
    })
}

// 删除考试
export function deleteExam(id) {
    return request({
        url: ApiPath.education.edu.examnation.exam.delete,
        method: 'post',
        data: {
            examId: id
        }
    })
}


// 查询考试场次
export function queryExamRound(params) {

    return request({
        url: ApiPath.education.edu.examnation.ExamRound.query,
        method: 'get',
        params
    })
}

// 获取考试场次
export function getExamRound(id) {
    return request({
        url: ApiPath.education.edu.examnation.ExamRound.get,
        method: 'get',
        params: {
            roundId: id
        }
    })
}


// 新增考试场次
export function createExamRound(data) {

    return request({
        url: ApiPath.education.edu.examnation.ExamRound.create,
        method: 'post',
        data
    })
}

// 修改考试场次
export function updateExamRound(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamRound.update,
        method: 'post',
        data
    })
}

// 删除考试场次
export function deleteExamRound(id) {
    return request({
        url: ApiPath.education.edu.examnation.ExamRound.delete,
        method: 'post',
        data: {
            roundId: id
        }
    })
}


// 查询考试安排
export function queryExamEntry(params) {

    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.queryEduExamEntryPerm.query,
        method: 'get',
        params
    })
}




// 获取单个考试安排
export function getExamEntry(id) {

    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.get,
        method: 'get',
        params: {
            entryId: id
        }
    })
}


const createData = {
    code: "",
    name: "",
    address: "",
}
// 新增考试安排
export function createExamEntry(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.create,
        method: 'post',
        data
    })
}
const updateData = {
    code: "",
    name: "",
    address: "",
}
// 修改考试安排
export function updateExamEntry(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.update,
        method: 'post',
        data
    })
}

// 删除考试安排
export function deleteExamEntry(id) {
    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.delete,
        method: 'post',
        data: {
            entryId: id
        }
    })
}
// 导入监考老师
export function importExamPlans(data) {
    return request({
        url: ApiPath.education.edu.examnation.ExamEntry.import,
        method: 'post',
        data
    })
}



// 自动排考
export function autoArrangeExams(data) {
    return request({
        url: ApiPath.education.edu.examnation.autoArrangeExams,
        method: 'post',
        data
    })
}

// 自动排考
export function arrangeExamsGet(params) {
    return request({
        url: ApiPath.education.edu.examnation.examplan.get,
        method: 'get',
        params
    })
}

// 自动排考
export function arrangeExamsUpdate(data) {
    return request({
        url: ApiPath.education.edu.examnation.examplan.update,
        method: 'post',
        data
    })
}