

// 教务系统-教学运行
import eduBasePath from "./path/education/base";

import teachingTaskPath from "./path/education/task";
// 教务系统-教学运行-教材选用
import textBookPath from "./path/education/textbook";
// 教务系统-教学运行-教材维护
import bookPath from "./path/education/textbook";
// 教务系统-教学运行-授课计划
import schedulePath from "./path/education/schedule";
// 教务系统-教学运行-成绩填报
import gradePath from "./path/education/grade";
// 教务系统-教学运行-成绩填报
import systemSettingsPath from "./path/education/systemSettings";
// 教务系统-学籍异动
import studentStatusChangePath from "./path/education/studentStatusChange";
// 教务系统-教学工作量 
import workLoad from "./path/education/workLoad"

import arrangementPath from "./path/education/arrangement";
import choiceCoursePath from "./path/education/choiceCourse";
import examinationPath from "./path/education/examination";
// 教学任务公共接口
import publicPath from "./path/education/public";
import dictionariesPath from "./path/education/dictionaries"
import dictionariesItemsPath from "./path/education/dictionaries"
import statisticalPath from "./path/education/statistical"

import tchTeachOrgs from "./path/education/tchTeachOrgs"

import appApiAsso from "./path/education/appApiAsso";

import eduOrder from "./path/education/eduOrder";

// 支付功能 
import paymentOrder from "./path/payment/order"

// 毕业
import graduation from "./path/education/graduation"


// 0040302-毕业设计 

//毕业设计
import gradBase from "./path/0040302-graduation/base"
//毕业论文管理
import gradPapers from "./path/0040302-graduation/papers"
//学生选题管理
import gradSelections from "./path/0040302-graduation/selections"
//教师课题申报
import gradTopics from "./path/0040302-graduation/topics"
// 学生成绩查询
import gradStudentScores from "./path/0040302-graduation/student-scores"

// 顶岗实习
import educationPractice from "./path/string-0040303-practice/index"

import exam from "./path/0040306-enter/exam"
// 评教评学

import evalSetting from "./path/comment/evalSetting"  //评价配置
import evalType from "./path/comment/evalType" //评价类型
import exportsSetting from "./path/comment/exports" //专家配置
import questionnaire from "./path/comment/questionnaire"  //问卷网
import courseSetting from "./path/comment/courseSetting"  //课程评价模板设置 
import subject from "./path/comment/subject"  //评价内容 
import score from "./path/comment/score"  //得分统计

const pathConfig = {
  // 教务系统
  education: {
    // 教学运行
    edu: {
      // 基础数据
      base: eduBasePath,
      // 教学任务
      task: teachingTaskPath,
      // 排课
      arrange: arrangementPath,
      // 选课
      select: choiceCoursePath,
      // 考务
      examnation: examinationPath,

      // 教学任务公共接口
      public: publicPath, //cak_dev 待废弃

      appApiAsso: appApiAsso,
      eduOrder: eduOrder,//重修支付与退款

      graduation: graduation,//毕业
    }
  },
  education_edu: {
    // 教材选用
    textbooks: textBookPath,
    // 教材维护
    books: bookPath,
    //授课计划
    schedule: schedulePath,
    //成绩填报
    grade: gradePath,
    //系统设置
    systemSettings: systemSettingsPath,
    //统计接口
    statistical: statisticalPath,

    // 学籍异动
    studentChange: studentStatusChangePath,
    // 教务工作量
    workLoad: workLoad,
  },
  base: {
    //字典
    dictionaries: dictionariesPath,
    //字典详情
    dictionariesItems: dictionariesItemsPath,
    tchTeachOrgs: tchTeachOrgs
  },


  // 根据token获取用户信息
  userInfoLogin: {
    userInfo: `/login/userInfo/`
  },



  // 支付功能
  payment: {
    order: paymentOrder,
  },

  // 0040302-毕业设计
  graduation: {
    gradBase, //毕业设计
    gradPapers,//毕业论文管理
    gradSelections,//学生选题管理
    gradTopics,//教师课题申报 
    gradStudentScores,//学生成绩
  },

  // 0040303-顶岗实习
  educationPractice: educationPractice,

  // 0040306-考试报名
  enter: {
    exam, //考试管理
    gradPapers,//毕业论文管理
    gradSelections,//学生选题管理
    gradTopics,//教师课题申报 
    gradStudentScores,//学生成绩
  },
  comment: {
    evalSetting: evalSetting,    //评价配置
    evalType: evalType,          //评价类型
    exports: exportsSetting,            //专家设置
    questionnaire: questionnaire,//问卷网设置
    courseSetting: courseSetting,//课程评价模板设置 
    subject: subject,//评价内容
    score: score,
  }
}

export default pathConfig

