import {
    gradBaseUrl, //批次
    gradDefencesUrl, //答辩小组
    gradDefenceTeacherUrl, //答辩小组教师
    gradStudentsUrl, //学生名单
    gradTeachersUrl, //教师名单
    gradSystemsUrl,//系统设置
    gradEvalSettingsUrl,//打分项设置
} from "../settings";

export default {
    // 批次
    batch: {
        query: `${gradBaseUrl}/`,
        get: `${gradBaseUrl}/<id>/`,
        create: `${gradBaseUrl}/create/`,
        update: `${gradBaseUrl}/<id>/update/`,
        delete: `${gradBaseUrl}/<id>/delete/`,
        batchDelete: `${gradBaseUrl}/deletes/`,
        
        // 随机指定答辩小组
        randomDefence:`${gradBaseUrl}/defence/`,
        // 随机指定评阅教师
        randomReview:`${gradBaseUrl}/review/`,






    },

    // 答辩小组
    defences: {
        query: `${gradDefencesUrl}/`,
        get: `${gradDefencesUrl}/<id>/`,
        create: `${gradDefencesUrl}/create/`,
        update: `${gradDefencesUrl}/<id>/update/`,
        delete: `${gradDefencesUrl}/<id>/delete/`,
        batchDelete: `${gradDefencesUrl}/deletes/`,
    },

    // 答辩小组-教师
    defenceTeacher: {
        query: `${gradDefenceTeacherUrl}/`,
        get: `${gradDefenceTeacherUrl}/<id>/`,
        create: `${gradDefenceTeacherUrl}/create/`,
        update: `${gradDefenceTeacherUrl}/<id>/update/`,
        delete: `${gradDefenceTeacherUrl}/<id>/delete/`,
        batchDelete: `${gradDefenceTeacherUrl}/deletes/`,
     
    },

    // 学生名单
    studentList: {
        query: `${gradStudentsUrl}/`,
        get: `${gradStudentsUrl}/<id>/`,
        create: `${gradStudentsUrl}/create/`,
        update: `${gradStudentsUrl}/<id>/update/`,
        delete: `${gradStudentsUrl}/<id>/delete/`,
        batchDelete: `${gradStudentsUrl}/deletes/`,
        batchUpdate: `${gradStudentsUrl}/updates/`, //批量修改学生名单
        
        importByClass:`${gradStudentsUrl}/importByClass/`,  //班级导入
        importByCode:`${gradStudentsUrl}/importByCode/`,    //字符串导入

        setTopic: `${gradStudentsUrl}/setTopic/`,//设置课题


    },
    
    // 教师名单
    teacherList: {
        query: `${gradTeachersUrl}/`,
        get: `${gradTeachersUrl}/<id>/`,
        create: `${gradTeachersUrl}/create/`,
        update: `${gradTeachersUrl}/<id>/update/`,
        delete: `${gradTeachersUrl}/<id>/delete/`,
        batchDelete: `${gradTeachersUrl}/deletes/`,
        importByCodeTea:`${gradTeachersUrl}/import/`,    //字符串导入
    },


    // 系统设置
    systems: {
        query: `${gradSystemsUrl}/`, 
        updates: `${gradSystemsUrl}/updates/`, 
    }, 

    // 打分项设置
    gradEvalSettings:{
        query: `${gradEvalSettingsUrl}/`,
        get: `${gradEvalSettingsUrl}/<id>/`,
        create: `${gradEvalSettingsUrl}/create/`,
        update: `${gradEvalSettingsUrl}/<id>/update/`,
        delete: `${gradEvalSettingsUrl}/<id>/delete/`,
        batchDelete: `${gradEvalSettingsUrl}/deletes/`,
        enable: `${gradEvalSettingsUrl}/enable/`,//启用打分项
    } 
    
}