import {
    gradPapersUrl, //毕业论文
    gradPaperRecommendGoodsUrl,//论文推优
    gradPaperReviewsUrl,//论文批阅
} from "../settings";

export default {
    // 毕业论文管理
    papers: {
        query: `${gradPapersUrl}/`, //查询毕业论文
        get: `${gradPapersUrl}/<id>/`,
        create: `${gradPapersUrl}/create/`,
        update: `${gradPapersUrl}/<id>/update/`,
        delete: `${gradPapersUrl}/<id>/delete/`,
        batchDelete: `${gradPapersUrl}/deletes/`,
    },

    // 任务书
    paper_tasks: {
        update: `paper_tasks/<id>/update/`,//修改毕业论文任务书
    },

    // 毕业论文指导书
    paper_guides: {
        update: `paper_guides/<id>/update/`,
    },


    // 修改毕业论文开题报告 
    paper_open_reports: {
        query: `paper_open_reports/`, 
        update: `paper_open_reports/<id>/update/`, 
        // 审核 
        verifyOpen: `paper_open_reports/verify/`,
    },


    // 修改毕业论文中期检查
    paper_inspections: {
        update: `paper_inspections/<id>/update/`,

        // 审核 
        verifyInspections: `paper_inspections/verify/`,
    },



    // 指导记录
    paper_guide_records: {
        update: `paper_guide_records/<id>/update/`,
        delete: `paper_guide_records/<id>/delete/`,
        create: `paper_guide_records/create/`,
    },


    // 指导记录
    paper_guide_records: {
        update: `paper_guide_records/<id>/update/`,
        delete: `paper_guide_records/<id>/delete/`,
        create: `paper_guide_records/create/`,
    },


    // 论文查重
    paper_duplicate_checks: {
        update: `paper_duplicate_checks/<id>/update/`,
        delete: `paper_duplicate_checks/<id>/delete/`,
        create: `paper_duplicate_checks/create/`,
    },


    // 论文推优
    grad_paper_recommend_goods: {
        query: `${gradPaperRecommendGoodsUrl}/`,
        get: `${gradPaperRecommendGoodsUrl}/<id>/`,
        create: `${gradPaperRecommendGoodsUrl}/create/`,
        update: `${gradPaperRecommendGoodsUrl}/<id>/update/`,
        delete: `${gradPaperRecommendGoodsUrl}/<id>/delete/`,
        batchDelete: `${gradPaperRecommendGoodsUrl}/deletes/`,

        // 审核论文推优
        verifyRecommend: `${gradPaperRecommendGoodsUrl}/verify/`,

    }, 

    // 论文批阅
    grad_paper_reviews: {
        create: `${gradPaperReviewsUrl}/create/`,
        update: `${gradPaperReviewsUrl}/<id>/update/`,
        delete: `${gradPaperReviewsUrl}/<id>/delete/`,
    },
 
}