import {
  eduArrangeURL,
  schedulesURL,
  eduQueryAvailableTasksURL,
  eduTaskURL
  // studentScheduleURL,
} from "string-edu-middleware/api/path/settings";

export default {
  // 排课方案

  // 排课冲突检查
  arrangeCheck: `${eduArrangeURL}/check/`,


  // 新增排课方案
  queryEduArrange: {
    query: `${eduArrangeURL}/`,
  },

  get: `${eduArrangeURL}/get/`,

  // 创建排课方案
  createEduArrange: {
    create: `${eduArrangeURL}/create/`,
    school: `${eduArrangeURL}/create/`,
    org: `${eduArrangeURL}/org/create/`,
  },


  //修改排课方案
  updateEduArrange: {
    update: `${eduArrangeURL}/update/`,
    school: `${eduArrangeURL}/update/`,
    org: `${eduArrangeURL}/org/update/`,
  },

  //删除排课方案
  deleteEduArrange: {
    delete: `${eduArrangeURL}/delete/`,
    school: `${eduArrangeURL}/delete/`,
    org: `${eduArrangeURL}/org/delete/`,
  },


  //取消排课方案
  cancelArrange: {
    default: `${eduArrangeURL}/cancel/`,
    school: `${eduArrangeURL}/cancel/`,
    org: `${eduArrangeURL}/org/cancel/`,
  },




  // 执行排课操作(自动排课)
  arrangePerm: {
    arrange: `${eduArrangeURL}/arrange/`,
    school: `${eduArrangeURL}/arrange/`,
    org: `${eduArrangeURL}/org/arrange/`,
  },






  // 条件查询教学任务
  // 统计
  queryAvailableTasksPerm: {
    school: `${eduQueryAvailableTasksURL}/getAvailableTask/`,
    org: `${eduQueryAvailableTasksURL}/org/getAvailableTask/`,

    class: `${eduTaskURL}/class/`,//班级
    teacher: `${eduTaskURL}/teacher/`,//教师
    student: `${eduTaskURL}/student/`,//学生
    // /education_edu/tasks/class/
    // 查询教学任务(班级)
  },

  // 查询排课结果（周课时）
  schedules_query_perm: {
    query: `${schedulesURL}/`,
    school: `${schedulesURL}/`,
    org: `${schedulesURL}/org/`,
    student: `${schedulesURL}/student/`,
    teacher: `${schedulesURL}/teacher/`,
    class: `${schedulesURL}/class/`,
  },


  // 获取单个排课结果
  schedules_get: `${schedulesURL}/get/`,

  // 查看排课进度 
  queryProgress: `${schedulesURL}/progress/`,

  // 创建排课结果
  schedules_create_perm: {
    create: `${schedulesURL}/create/`,
    school: `${schedulesURL}/create/`,
    org: `${schedulesURL}/org/create/`,
  },

  // 修改排课结果
  schedules_update_perm: {
    update: `${schedulesURL}/update/`,
    school: `${schedulesURL}/update/`,
    org: `${schedulesURL}/org/update/`,
  },

  // 删除排课结果
  schedules_delete_perm: {
    delete: `${schedulesURL}/delete/`,
    school: `${schedulesURL}/delete/`,
    org: `${schedulesURL}/org/delete/`,
  },


  // 批量删除排课结果
  schedules_batch_delete_perm: {
    batch_delete: `${schedulesURL}/batch_delete/`,
    school: `${schedulesURL}/batch_delete/`,
    org: `${schedulesURL}/org/batch_delete/`,
  },

  // 查看课表
  // 课程表查询 (权限已经分配完毕)
  studentScheduleURL: {
    query: "",
    queryStudentSch: `${schedulesURL}/studentSchedule/`, //
    queryRoomSchedule: `${schedulesURL}/roomSchedule/`, //查询教室课表
    queryEmpty: `${schedulesURL}/queryEmpty/`,  //空教室查询
    // teacherSchedule
    queryTeacherSchedule: `${schedulesURL}/teacherSchedule/`,  //教师查询
    queryClassSchedule: `${schedulesURL}/classSchedule/`,  //班级课表 

  },

  //mock数据
  get_1: `${eduArrangeURL}/1/`,
  update_1: `${eduArrangeURL}/1/update/`,
  delete_1: `${eduArrangeURL}/1/delete/`,

  // 条件查询教室
  room: `${eduArrangeURL}/<id>/getAvailableRoom/`,
  // 好看排课进度
  progress: `${eduArrangeURL}/<id>/progress/`,

  // 查看单个教学任务的所有排课结果--给查询整周实训排课用 
  getByTask: `${schedulesURL}/getByTask/`,









}
