
import {
  EDU_PUBLIC_SERVICE_PATH,//顶岗实习
} from "string-edu-middleware/api/index"


import {
  eduBaseSchoolRegionURL,
  eduBaseBuildingURL,
  eduBasePlaceURL,
  eduBaseRoomURL,
  eduBaseTeachingYearURL,
  eduBaseTeachingSemesterURL,
  eduBaseTeachingWeekURL,
  eduBaseTeachingLessonURL,
  eduBaseTeachingCalendarURL,
  eduBaseTeachingCalendarentrysURL,
  eduBaseGradeLevelURL,
  eduBaseTeachtype,

  //原专业建设基础数据
  majorBaseMajorGroupURL,
  majorBaseMajorCouncilURL,
  majorBaseMajorCouncilMemberURL,
  majorBaseMajorURL,
  majorBaseMajorOrientationURL,
  majorBaseCourseURL,
  majorBaseCourseTypeURL,
  majorBaseCourseCategoryURL,
  majorBaseExamineModeURL,
  majorBaseTeachingMethodURL,
  majorBaseStudentOriginTytpe,
  majorGetUserInfo,
  baseBookSupplierUrl,//供应商基础数据

  // 虚拟班级管理
  publicUnrealClassStudentURL,
  publicUnrealClassURL,
  studentInfoURL,// 学生（加专业，学籍状态） 
  // 查询班级
  classBaseURL,
  departmentBaseUrl //教务基础数据
} from "string-edu-middleware/api/path/settings";


export default {
  // 校区
  schoolRegion: {
    query: `${eduBaseSchoolRegionURL}/`,
    get: `${eduBaseSchoolRegionURL}/<id>/get/`,
    create: `${eduBaseSchoolRegionURL}/create/`,
    update: `${eduBaseSchoolRegionURL}/<id>/update/`,
    delete: `${eduBaseSchoolRegionURL}/<id>/delete/`,

  },
  // 教学场所
  building: {
    query: `${eduBaseBuildingURL}/`,
    get: `${eduBaseBuildingURL}/<id>/get/`,
    create: `${eduBaseBuildingURL}/create/`,
    update: `${eduBaseBuildingURL}/<id>/update/`,
    delete: `${eduBaseBuildingURL}/<id>/delete/`,
  },
  // 教学地点
  place: {
    query: `${eduBasePlaceURL}/`,
    get: `${eduBasePlaceURL}/<id>/get/`,
    create: `${eduBasePlaceURL}/create/`,
    update: `${eduBasePlaceURL}/<id>/update/`,
    delete: `${eduBasePlaceURL}/<id>/delete/`,
  },
  // 教室
  room: {
    query: `${eduBaseRoomURL}/`,
    get: `${eduBaseRoomURL}/<id>/`,
    create: `${eduBaseRoomURL}/create/`,
    update: `${eduBaseRoomURL}/<id>/update/`,
    delete: `${eduBaseRoomURL}/<id>/delete/`,
  },
  // 学年
  teachingYear: {
    query: `${eduBaseTeachingYearURL}/`,
    get: `${eduBaseTeachingYearURL}/<id>/get/`,
    create: `${eduBaseTeachingYearURL}/create/`,
    update: `${eduBaseTeachingYearURL}/<id>/update/`,
    delete: `${eduBaseTeachingYearURL}/<id>/delete/`,
  },
  // 学期
  teachingSemester: {
    query: `${eduBaseTeachingSemesterURL}/`,
    get: `${eduBaseTeachingSemesterURL}/<id>/get/`,
    create: `${eduBaseTeachingSemesterURL}/create/`,
    update: `${eduBaseTeachingSemesterURL}/<id>/update/`,
    delete: `${eduBaseTeachingSemesterURL}/<id>/delete/`,
    updateAndIsCurrent: `${eduBaseTeachingSemesterURL}/updateAndIsCurrent/`,//强制修改学期
    createAndIsCurrent: `${eduBaseTeachingSemesterURL}/createAndIsCurrent/`,//强制新增学期
  },
  // 周次
  teachingWeek: {
    query: `${eduBaseTeachingWeekURL}/`,
    get: `${eduBaseTeachingWeekURL}/<id>/get/`,
    create: `${eduBaseTeachingWeekURL}/create/`,
    update: `${eduBaseTeachingWeekURL}/<id>/update/`,
    delete: `${eduBaseTeachingWeekURL}/<id>/delete/`,

    batchCreate: `${eduBaseTeachingWeekURL}/<termId>/create/`,

  },
  // 节次
  teachingLesson: {
    query: `${eduBaseTeachingLessonURL}/`,
    get: `${eduBaseTeachingLessonURL}/<id>/get/`,
    create: `${eduBaseTeachingLessonURL}/create/`,
    update: `${eduBaseTeachingLessonURL}/<id>/update/`,
    delete: `${eduBaseTeachingLessonURL}/<id>/delete/`,
  },
  // 校历
  schoolCalendar: {
    query: `${eduBaseTeachingCalendarURL}/`,
    get: `${eduBaseTeachingCalendarURL}/<id>/get/`,

    create: `${eduBaseTeachingCalendarURL}/create/`,
    update: `${eduBaseTeachingCalendarURL}/<id>/update/`,
    delete: `${eduBaseTeachingCalendarURL}/<id>/delete/`,
  },
  // 校历明细
  schoolCalendarentrys: {
    queryDetail: `${eduBaseTeachingCalendarentrysURL}/`,
    query: `${eduBaseTeachingCalendarentrysURL}/<id>/<id>/query/`,
    get: `${eduBaseTeachingCalendarentrysURL}/<id>/get/`,
    getdate: `${eduBaseTeachingCalendarentrysURL}/date/get/`,
    create: `${eduBaseTeachingCalendarentrysURL}/create/`,
    update: `${eduBaseTeachingCalendarentrysURL}/<id>/update/`,
    updateEvent: `${eduBaseTeachingCalendarentrysURL}/updateEvent/`,
    delete: `${eduBaseTeachingCalendarentrysURL}/<id>/delete/`,
    deletes: `${eduBaseTeachingCalendarentrysURL}/deletes/`,
    generate: `${eduBaseTeachingCalendarentrysURL}/<id>/generated/`,
  },
  // 成绩等第
  gradeLevel: {
    query: `${eduBaseGradeLevelURL}/`,
    get: `${eduBaseGradeLevelURL}/<id>/get/`,
    create: `${eduBaseGradeLevelURL}/create/`,
    update: `${eduBaseGradeLevelURL}/<id>/update/`,
    delete: `${eduBaseGradeLevelURL}/<id>/delete/`,
  },

  //原专业建设基础数据
  // 专业群
  group: {
    query: `${majorBaseMajorGroupURL}/`,
    get: `${majorBaseMajorGroupURL}/<id>/`,
    create: `${majorBaseMajorGroupURL}/create/`,
    update: `${majorBaseMajorGroupURL}/<id>/update/`,
    delete: `${majorBaseMajorGroupURL}/<id>/delete/`,
    delete_1: `${majorBaseMajorGroupURL}/1/delete/`,
  },
  //专业群理事会
  concil: {
    query: `${majorBaseMajorCouncilURL}/`,
    get: `${majorBaseMajorCouncilURL}/<id>/`,
    create: `${majorBaseMajorCouncilURL}/create/`,
    update: `${majorBaseMajorCouncilURL}/<id>/update/`,
    delete: `${majorBaseMajorCouncilURL}/<id>/delete/`,
    delete_1: `${majorBaseMajorCouncilURL}/1/delete/`,
  },
  //专业群理事会成员
  concilMember: {
    query: `${majorBaseMajorCouncilMemberURL}/`,
    get: `${majorBaseMajorCouncilMemberURL}/<id>/`,
    create: `${majorBaseMajorCouncilMemberURL}/create/`,
    update: `${majorBaseMajorCouncilMemberURL}/<id>/update/`,
    delete: `${majorBaseMajorCouncilMemberURL}/<id>/delete/`,
    delete_1: `${majorBaseMajorCouncilMemberURL}/1/delete/`,
  },
  // 专业
  major: {
    query: `${majorBaseMajorURL}/`,
    get: `${majorBaseMajorURL}/<id>/`,
    create: `${majorBaseMajorURL}/create/`,
    update: `${majorBaseMajorURL}/<id>/update/`,
    delete: `${majorBaseMajorURL}/<id>/delete/`,
    delete_1: `${majorBaseMajorURL}/1/delete/`,
  },
  // 专业方向
  majorOrientation: {
    query: `${majorBaseMajorOrientationURL}/`,
    get: `${majorBaseMajorOrientationURL}/<id>/`,
    create: `${majorBaseMajorOrientationURL}/create/`,
    update: `${majorBaseMajorOrientationURL}/<id>/update/`,
    delete: `${majorBaseMajorOrientationURL}/<id>/delete/`,

    delete_1: `${majorBaseMajorOrientationURL}/1/delete/`,
  },
  // 课程
  course: {
    query: `${majorBaseCourseURL}/`,
    get: `${majorBaseCourseURL}/<id>/get/`,

    get_1: `${majorBaseCourseURL}/<1>/`,
    create: `${majorBaseCourseURL}/create/`,
    update: `${majorBaseCourseURL}/<id>/update/`,
    delete: `${majorBaseCourseURL}/<id>/delete/`,

    delete_1: `${majorBaseCourseURL}/1/delete/`,
  },
  // 课程性质
  courseType: {
    query: `${majorBaseCourseTypeURL}/`,
    get: `${majorBaseCourseTypeURL}/<id>/get/`,
    create: `${majorBaseCourseTypeURL}/create/`,
    update: `${majorBaseCourseTypeURL}/<id>/update/`,
    delete: `${majorBaseCourseTypeURL}/<id>/delete/`,
    delete_1: `${majorBaseCourseTypeURL}/1/delete/`,

  },
  // 课程类型
  courseCategory: {
    query: `${majorBaseCourseCategoryURL}/`,
    get: `${majorBaseCourseCategoryURL}/<id>/get/`,
    create: `${majorBaseCourseCategoryURL}/create/`,
    update: `${majorBaseCourseCategoryURL}/<id>/update/`,
    delete: `${majorBaseCourseCategoryURL}/<id>/delete/`,
    delete_1: `${majorBaseCourseCategoryURL}/1/delete/`,
  },
  // 考核方式
  examineMode: {
    query: `${majorBaseExamineModeURL}/`,
    get: `${majorBaseExamineModeURL}/<id>/get/`,
    create: `${majorBaseExamineModeURL}/create/`,
    update: `${majorBaseExamineModeURL}/<id>/update/`,
    delete: `${majorBaseExamineModeURL}/<id>/delete/`,
    delete_1: `${majorBaseExamineModeURL}/1/delete/`,

  },
  // 教学方式
  teachingMethod: {
    query: `${majorBaseTeachingMethodURL}/`,
    get: `${majorBaseTeachingMethodURL}/<id>/get/`,
    create: `${majorBaseTeachingMethodURL}/create/`,
    update: `${majorBaseTeachingMethodURL}/<id>/update/`,
    delete: `${majorBaseTeachingMethodURL}/<id>/delete/`,
    delete_1: `${majorBaseTeachingMethodURL}/1/delete/`,

  },
  // 校外人员
  externalPerson: {
    query: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/`,
    get: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/<id>/`,
    delete: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/<id>/delete/`,
    create: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/create/`,
    create_admin: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/create/controller/`,
    update: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/update/`,
    // update: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/update/`,
    // 校外人员审核通过
    approved: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/approved/`,
    // 校外人员审核不通过
    refuse: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/refuse/`,

    // 校外人员启用
    extEnablePerson: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/<id>/enable/`,
    // 校外人员禁用 
    extDisablePerson: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/offCampusStaffs/<id>/disable/`,
  },


  //临时-校外人员
  temporary: {
    query: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/`,
    get: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/<id>/`,
    delete: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/<id>/delete/`,
    create: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/create/`,
    create_admin: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/create/controller/`,
    update: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/update/`,
    // 校外人员审核通过
    approved: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/approved/`,
    // 校外人员审核不通过
    refuse: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/refuse/`,
    // 临时校外人员启用
    enablePerson: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/<id>/enable/`,
    // 临时校外人员禁用 
    disablePerson: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/temporary/offCampusStaff/<id>/disable/`,
  },


  // 课次组合
  teachtype: {
    query: `${eduBaseTeachtype}/`,
    get: `${eduBaseTeachtype}/<id>/get/`,
    create: `${eduBaseTeachtype}/create/`,
    update: `${eduBaseTeachtype}/update/`,
    delete: `${eduBaseTeachtype}/<id>/delete/`,
  },


  // 生源类型
  studentOriginType: {
    query: `${majorBaseStudentOriginTytpe}/`,
    // get: `${majorBaseStudentOriginTytpe}/get/`,
    create: `${majorBaseStudentOriginTytpe}/create/`,
    update: `${majorBaseStudentOriginTytpe}/update/`,
    delete: `${majorBaseStudentOriginTytpe}/delete/`,
    deletes: `${majorBaseStudentOriginTytpe}/deletes/`,
  },




  majorGetUserInfoTea: {
    get: `${majorGetUserInfo}/edu_users/getUserInfo/`
  },




  // 虚拟班级
  unrealClass: {
    query: `${publicUnrealClassURL}/`,
    get: `${publicUnrealClassURL}/<id>/get/`,
    create: `${publicUnrealClassURL}/create/`,
    update: `${publicUnrealClassURL}/update/`,
    delete: `${publicUnrealClassURL}/<id>/delete/`,
  },

  // 虚拟班级-学生
  unrealClassStudent: {
    query: `${publicUnrealClassStudentURL}/`,
    get: `${publicUnrealClassStudentURL}/<id>/get/`,
    create: `${publicUnrealClassStudentURL}/create/`,
    update: `${publicUnrealClassStudentURL}/update/`,
    delete: `${publicUnrealClassStudentURL}/<id>/delete/`,
  },

  // 查询班级
  class: {
    query: `${classBaseURL}/`,
    get: `${classBaseURL}/<id>/get/`,
    create: `${classBaseURL}/create/`,
    update: `${classBaseURL}/update/`,
    delete: `${classBaseURL}/<id>/delete/`,
    batchDelete: `${classBaseURL}/deletes/`,
  },

  // 供应商
  bookSupplier: {
    query: `${baseBookSupplierUrl}/`,
    get: `${baseBookSupplierUrl}/get/`,
    create: `${baseBookSupplierUrl}/create/`,
    update: `${baseBookSupplierUrl}/update/`,
    delete: `${baseBookSupplierUrl}/delete/`,
    batchDelete: `${baseBookSupplierUrl}/deletes/`,
  },


  //教学单位 查询学院
  // /base/department/
  department: {
    query: `${departmentBaseUrl}/`,
    get: `${departmentBaseUrl}/<id>/`,
    create: `${departmentBaseUrl}/create/`,
    update: `${departmentBaseUrl}/<id>/update/`,
    delete: `${departmentBaseUrl}/<id>/delete/`,
  },




  studentInfo: {
    query: `${studentInfoURL}/`,
  },

  tchSystem: {
    get: `/base/tchSystems/<code>/get`,
  }

}
