import {
    eduExaminationURL,
    eduExamURL,
    eduExamRoundURL,
    eduExamEntryURL,
    eduAutoExamURL,
    eduExamPlanURL,
} from "string-edu-middleware/api/path/settings";

export default {
    // 考核方式
    ExamMode: {
        query: `${eduExaminationURL}/`,
        get: `${eduExaminationURL}/<id>/`,
        create: `${eduExaminationURL}/create/`,
        update: `${eduExaminationURL}/update/`,
        delete: `${eduExaminationURL}/delete/`,
    },

    // 考试
    exam: {
        query: `${eduExamURL}/`,
        get: `${eduExamURL}/get/`,
        create: `${eduExamURL}/create/`,
        update: `${eduExamURL}/update/`,
        delete: `${eduExamURL}/delete/`,
    },
    // 自动排考
    autoArrangeExams: `${eduAutoExamURL}/auto_generate/`,
    examplan:{ 
    get:`${eduAutoExamURL}/get/`,
    update:`${eduAutoExamURL}/update/`,
    },








    // 考试场次
    ExamRound: {
        query: `${eduExamRoundURL}/`,
        get: `${eduExamRoundURL}/`,
        create: `${eduExamRoundURL}/create/`,
        update: `${eduExamRoundURL}/update/`,
        delete: `${eduExamRoundURL}/delete/`,
    },
    // 考试记录
    ExamEntry: {
        // 查询考试安排
        queryEduExamEntryPerm: {
            query: `${eduExamEntryURL}/`,
            school: `${eduExamEntryURL}/`,
            org: `${eduExamEntryURL}/org/`,
            class: `${eduExamEntryURL}/class/`,
            teacher: `${eduExamEntryURL}/teacher/`,
            student: `${eduExamEntryURL}/student/`,
        },






        get: `${eduExamEntryURL}/get/`,

        // 新建考试安排
        createEduExamEntryPerm: {
            query: `${eduExamEntryURL}/`,
            school: `${eduExamEntryURL}/`,
            org: `${eduExamEntryURL}/org/`,
        },

        
        
        create: `${eduExamEntryURL}/create/`,
        update: `${eduExamEntryURL}/update/`,
        delete: `${eduExamEntryURL}/delete/`,
        import: `${eduExamPlanURL}/import/`,  //导入监考老师
    },


    //mock数据
    get_1: `${eduExaminationURL}/1/`,
    update_1: `${eduExaminationURL}/1/update/`,
    delete_1: `${eduExaminationURL}/1/delete/`,

}