import {
  publicTermDataUrl,
  publicOrgsDataUrl, 
  publicCourseDataURL,
  publicTeacherDataUrl,
  publicCourseTypeURL,
  publicCourseCategoryURL,
  publicExamineModeURL,
  publicSchoolRegionURL, 
  eduBaseTeachingWeekURL,
  eduBaseTeachingLessonURL,
  eduBaseBuildingURL,
  publicPlaceURL,
  dictionariesURL,
} from "string-edu-middleware/api/path/settings";


export default { 
  //学期
  term: {
    query: `${ publicTermDataUrl}/`,
  },

  //部门
  orgs: {
    query: `${ publicOrgsDataUrl}/`,
  }, 
  
  //课程
  course: {
    query: `${ publicCourseDataURL}/`, 
    // // 导入课程
    import:`${ publicCourseDataURL}/import/`, 
    // getTemplate:`${ publicCourseDataURL}/getTemplate/`,  //获取课程导入模板
    importCourses:`${ publicCourseDataURL}/importCourses/`,  //查询导入的课程信息
    importPreview:`${ publicCourseDataURL}/importPreview/`,  //导入课程信息预览 
  },

  //教师
  teacher: {
    query: `${ publicTeacherDataUrl}/`,
  },

  //课程性质
  courseType: {
    query: `${ publicCourseTypeURL}/`,
  },

  //课程类别
  courseCategory: {
    query: `${ publicCourseCategoryURL}/`,
  },

  //考核方式
  examineMode: {
    query: `${ publicExamineModeURL}/`,
  },

  //校区
  SchoolRegion: {
    query: `${ publicSchoolRegionURL}/`,
  },
 
  // 周次
  teachingWeek: {
    query: `${ eduBaseTeachingWeekURL}/`,
  },

  // 节次
  teachingLesson: {
    query: `${ eduBaseTeachingLessonURL}/`,
  },

  // 教学场所
  Building: {
    query: `${ eduBaseBuildingURL}/`,
  },

  // 教室
  Room: {
    query: `${ publicPlaceURL}/`,
  },
   // 字典
   dictionaries: {
    query: `${ dictionariesURL}/`,
  },



  





}
