import {
  eduTaskURL,
} from "string-edu-middleware/api/path/settings";
 
 
export default {
  query: `${eduTaskURL}/`,
  get: `${eduTaskURL}/get/`,
  getOne: `${eduTaskURL}/getOne/`,
  create: `${eduTaskURL}/create/`,
  update: `${eduTaskURL}/update/`,
  delete: `${eduTaskURL}/delete/`,

  // 查看班级整周实训教学任务
  classWeekTask: `${eduTaskURL}/classWeekTask/`,

  // 查询教学任务
  queryTask: {
    school: `${eduTaskURL}/`,//全校 
    org: `${eduTaskURL}/`,//二级学院
    class: `${eduTaskURL}/`,//班级
    teacher: `${eduTaskURL}/`,//教师
    student: `${eduTaskURL}/student/`,//学生
  },

  // studentNumCheck
  studentNumCheck: `${eduTaskURL}/studentNumCheck/`,

  // 创建教学任务
  createTask: {
    school: `${eduTaskURL}/create/`,//全校
    org: `${eduTaskURL}/org/create/`,//二级学院
  },

  // 修改教学任务
  updateTask: {
    school: `${eduTaskURL}/update/`,//全校
    org: `${eduTaskURL}/org/update/`,//二级学院
  },

  // 删除教学任务
  deleteTask: {
    school: `${eduTaskURL}/delete/`,//全校
    org: `${eduTaskURL}/org/delete/`,//二级学院
  },

  // 批量删除
  batchDelete: `${eduTaskURL}/batch_delete/`,

  // 批量删除教学任务
  deleteBatchTask: {
    school: `${eduTaskURL}/batch_delete/`,//全校
    org: `${eduTaskURL}/org/batch_delete/`,//二级学院
  },







  // 合并教学任务 
  merge: `${eduTaskURL}/merge/`,

  // 合并教学任务
  mergeTask: {
    school: `${eduTaskURL}/merge/`,//全校
    org: `${eduTaskURL}/org/merge/`,//二级学院
  },



  // 拆分教学任务 
  divide: `${eduTaskURL}/divide/`,

  // 拆分教学任务
  divideTask: {
    school: `${eduTaskURL}/divide/`,//全校
    org: `${eduTaskURL}/org/divide/`,//二级学院
  },


  // 教学任务统计
  statistical: `${eduTaskURL}/workload/`,




  // 导入时获取课程总数 =====  废弃 =====
  countNotImport: `${eduTaskURL}/count_not_import/`,







  FromExaminationTask:{

     // 导入补考重修时获取的总数
  countFromExamination: `${eduTaskURL}/import/count_from_examination/`,
  // 从补考重修中导入
  importFromExamination: `${eduTaskURL}/import/import_from_examination/`,
  // 从补考重修中导入 -全校
 importFromExaminationSchool: `${eduTaskURL}/import/import_from_examination/`,

  // 导入补考重修时获取的总数 -二级学院
  countFromExaminationOrg: `${eduTaskURL}/org/import/count_from_examination/`,
  // 从补考重修中导入 -二级学院 
  importFromExaminationOrg: `${eduTaskURL}/org/import/import_from_examination/`,
  },

 


 
  FromScheduleTask: {
    // 导入教学进程时获取课程总数
    countFromSchedule: `${eduTaskURL}/import/count_from_schedule/`,
    // 从教学进程中导入
    importFromSchedule: `${eduTaskURL}/import/import_from_schedule/`,

    // 导入教学进程时获取课程总数-全校
    countFromScheduleSchool: `${eduTaskURL}/import/count_from_schedule/`,
    // 从教学进程中导入-全校
    importFromScheduleSchool: `${eduTaskURL}/import/import_from_schedule/`,

    // 导入教学进程时获取课程总数 -二级学院
    countFromScheduleOrg: `${eduTaskURL}/org/import/count_from_schedule/`,
    // 从教学进程中导入 -二级学院
    importFromScheduleOrg: `${eduTaskURL}/org/import/import_from_schedule/`,
  },






  // 同步学生名单
  syncStudent: `${eduTaskURL}/sync_student/`,
  syncStudentSchool: `${eduTaskURL}/sync_student/`,
  syncStudentOrg: `${eduTaskURL}/org/sync_student/`,

  // 排课规则
  createCfg: `${eduTaskURL}/<id>/create_cfg/`,

  taskCfg: {
    // query: `${eduTaskURL}/create_cfg/`,
    get: `${eduTaskURL}/get_cfg/`,
    create: `${eduTaskURL}/<id>/create_cfg/`,
    update: `${eduTaskURL}/<id>/update_cfg/`,
    delete: `${eduTaskURL}/<id>/delete_cfg/`,
  },



  //  教学任务-班级
  taskClasses: {
    query: `${eduTaskURL}/select_class/`,
    create: `${eduTaskURL}/create_class/`,
    delete: `${eduTaskURL}/delete_class/`,

    querySchool: `${eduTaskURL}/select_class/`,
    queryOrg: `${eduTaskURL}/org/select_class/`,

    createSchool: `${eduTaskURL}/create_class/`,
    createOrg: `${eduTaskURL}/org/create_class/`,

    deleteSchool: `${eduTaskURL}/delete_class/`,
    deleteOrg: `${eduTaskURL}/org/delete_class/`,





  },
  //  教学任务-教师
  taskTeacher: {
    query: `${eduTaskURL}/select_teacher/`,
    create: `${eduTaskURL}/create_teacher/`,
    update: `${eduTaskURL}/update_teacher/`,
    delete: `${eduTaskURL}/delete_teacher/`,
    updateStuAll: `${eduTaskURL}/update_student_all/`,

    querySchool: `${eduTaskURL}/select_teacher/`,
    queryOrg: `${eduTaskURL}/org/select_teacher/`,

    createSchool: `${eduTaskURL}/create_teacher/`,
    createOrg: `${eduTaskURL}/org/create_teacher/`,

    updateSchool: `${eduTaskURL}/update_teacher/`,
    updateOrg: `${eduTaskURL}/org/update_teacher/`,

    deleteSchool: `${eduTaskURL}/delete_teacher/`,
    deleteOrg: `${eduTaskURL}/org/delete_teacher/`,

    updateStuAllSchool: `${eduTaskURL}/update_student_all/`,
    updateStuAllOrg: `${eduTaskURL}/org/update_student_all/`,



  },
  //  教学任务-学生
  taskStudents: {
    query: `${eduTaskURL}/select_student/`,
    create: `${eduTaskURL}/create_student/`,
    update: `${eduTaskURL}/update_student/`,

    delete: `${eduTaskURL}/delete_student/`,

    querySchool: `${eduTaskURL}/select_student/`,
    queryOrg: `${eduTaskURL}/org/select_student/`,

    createSchool: `${eduTaskURL}/create_student/`,
    createOrg: `${eduTaskURL}/org/create_student/`,

    updateSchool: `${eduTaskURL}/update_student/`,
    updateOrg: `${eduTaskURL}/org/update_student/`,

    deleteSchool: `${eduTaskURL}/delete_student/`,
    deleteOrg: `${eduTaskURL}/org/delete_student/`, 
  },





  

  //mock数据
  get_1: `${eduTaskURL}/1/`,
  update_1: `${eduTaskURL}/1/update/`,
  delete_1: `${eduTaskURL}/1/delete/`,
}
