import {
    praBatchApi,//批次接口
    praStudentApi,//学生名单
    praSystemsApi,//系统设置
    praAttendancesApi,//考勤
    praDiariesApi,//日记
    praDiaryWeeksApi,//周记
    praInspectionsApi,//巡查
    praSummariesApi,//总结
    praCompanyChangesApi,//企业变更记录
} from "./settings";

export default {

    // 批次
    batch: {
        query: `${praBatchApi}/`,
        get: `${praBatchApi}/<id>/`,
        create: `${praBatchApi}/create/`,
        update: `${praBatchApi}/<id>/update/`,
        delete: `${praBatchApi}/<id>/delete/`,
        batchDelete: `${praBatchApi}/deletes/`,
    },

    // 学生名单
    studentList: {
        query: `${praStudentApi}/`,
        get: `${praStudentApi}/<id>/`,
        create: `${praStudentApi}/create/`,
        update: `${praStudentApi}/updates/`,
        delete: `${praStudentApi}/<id>/delete/`,
        batchDelete: `${praStudentApi}/deletes/`,

        importStudent: `${praStudentApi}/import/`,
        importByCode: `${praStudentApi}/importByCode/`,
        importByClass: `${praStudentApi}/importByClass/`, // 班级导入学生名单


    },

    // 系统设置
    systems: {
        query: `${praSystemsApi}/`,
        batchUpdate: `${praSystemsApi}/updates/`,
    },


    // 考勤
    attendances: {
        query: `${praAttendancesApi}/`,
        get: `${praAttendancesApi}/<id>/`,
        create: `${praAttendancesApi}/create/`,
        update: `${praAttendancesApi}/<id>/update/`,
        delete: `${praAttendancesApi}/<id>/delete/`,
        batchDelete: `${praAttendancesApi}/deletes/`,
    },

    // 日记
    diaries: {
        query: `${praDiariesApi}/`,
        get: `${praDiariesApi}/<id>/`,
        create: `${praDiariesApi}/create/`,
        update: `${praDiariesApi}/<id>/update/`,
        delete: `${praDiariesApi}/<id>/delete/`,
        batchDelete: `${praDiariesApi}/deletes/`,
    },

    // 周记
    diaryWeeks: {
        query: `${praDiaryWeeksApi}/`,
        get: `${praDiaryWeeksApi}/<id>/`,
        create: `${praDiaryWeeksApi}/create/`,
        update: `${praDiaryWeeksApi}/<id>/update/`,
        delete: `${praDiaryWeeksApi}/<id>/delete/`,
        batchDelete: `${praDiaryWeeksApi}/deletes/`,
    },

    // 巡查
    inspections: {
        query: `${praInspectionsApi}/`,
        get: `${praInspectionsApi}/<id>/`,
        create: `${praInspectionsApi}/create/`,
        batchCreates: `${praInspectionsApi}/creates/`,
        update: `${praInspectionsApi}/<id>/update/`,
        batchUpdate: `${praInspectionsApi}/updates/`,
        delete: `${praInspectionsApi}/<id>/delete/`,
        batchDelete: `${praInspectionsApi}/deletes/`,
    },

    // 总结
    summaries: {
        query: `${praSummariesApi}/`,
        get: `${praSummariesApi}/<id>/`,
        create: `${praSummariesApi}/create/`,
        update: `${praSummariesApi}/<id>/update/`,
        delete: `${praSummariesApi}/<id>/delete/`,
        batchDelete: `${praSummariesApi}/deletes/`,
    },

    // 企业变更记录
    companyChanges: {
        query: `${praCompanyChangesApi}/`,
        get: `${praCompanyChangesApi}/<id>/`,
        create: `${praCompanyChangesApi}/create/`,
        update: `${praCompanyChangesApi}/<id>/update/`,
        delete: `${praCompanyChangesApi}/<id>/delete/`,
        batchDelete: `${praCompanyChangesApi}/deletes/`,
        verify: `${praCompanyChangesApi}/verify/`,
    },

}