import ApiPath from "string-edu-middleware/api/path";
import request from 'string-edu-middleware/utils/request';

import { EDU_ENTER_SERVICE_URL } from "string-edu-middleware/api/index"
// 创建订单并授权
export function createOrder (data) {
  return request({
    url: ApiPath.payment.order.order.create,
    method: 'post',
    responseType: 'arraybuffer',
    heads: {
      'content-type': 'application/x-www-form-urlencoded'
    },
    data
  })
}

// 支付成功处理
export function returnOrder (data) {

  return request({
    url: ApiPath.payment.order.order.return,
    method: 'post',
    data
  })
}

// 退款
export function refundOrder (data) {

  return request({
    url: ApiPath.payment.order.order.refund,
    method: 'post',
    data
  })
}



// /order/refund/
// 微信退款
export function refundOrderWeXin (data) {
  return request({
    url: `/order/refund/`,
    method: 'post',
    data
  })
}

// 支付取消处理
export function cancelOrder (data) {

  return request({
    url: ApiPath.payment.order.order.cancel,
    method: 'post',
    data
  })
}


// 统一下单处理
export function unifiedOrder (data) {

  return request({
    url: ApiPath.payment.order.order.unifiedOrder,
    method: 'post',
    data
  })
}



// 查询交易流水详细 
export function queryPayOrderEntry (params) {
  return request({
    url: ApiPath.payment.order.payOrderEntry.query,
    method: 'get',
    params
  })
}

// 根据id查询交易流水详细 
export function getPayOrderEntry (params) {
  return request({
    url: ApiPath.payment.order.payOrderEntry.query,
    method: 'get',
    params
  })
}

// 退款路径
export function getRefundSuccessUrl () {
  retutrn`${window.string.SERVICE_HOST}${EDU_ENTER_SERVICE_URL}/education_enter_service/orders/refundSuccess/`
}










// wait:未付款 
// 郝越
// success：已付款
// 郝越
// requestRefund：申请退款
// 郝越
// 16:02
// refundSuccess：退款成功