// 调停课

import request from "string-edu-middleware/utils/request"
// import request from "@/utils/request-local"
import { EDUCATION_PATH } from "string-edu-middleware/api"
 

// 查询可用节次（调课专用）
export function queryEmptyLessons(params) {
 return request({
  url: `${EDUCATION_PATH}/lessons/`,
  method: `get`,
  params
 })
}

// 查询调课
export function queryPlanChanges(params) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/`,
  method: `get`,
  params
 })
}


// id查询调停课
export function getPlanChange(id) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/${id}/`,
  method: `get`, 
 })
}


// 修改调课
export function updatePlanChange(id,data) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/${id}/update/`,
  method: `post`, 
  data
 })
}


// 新增调课
export function createPlanChange(data) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/create/`,
  method: `post`, 
  data
 })
}

// 删除调停课
export function deletePlanChange(id) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/${id}/delete/`,
  method: `post` 
 })
}



// 审核调停课，两级审核
export function verifyPlanChange(data) {
 return request({
  url: `${EDUCATION_PATH}/plan_changes/verify/`,
  method: `post`, 
  data
 })
}

// 查询已审核的授课计划 
export function queryPlanRunnings(params) {
 return request({
  url: `${EDUCATION_PATH}/plan_runnings/`,
  method: `get`, 
  params
 })
}
 
// 批量创建调停课
export function batchCreateAdjustCourse(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/batch_create/`,
   method: `post`, 
   data
  })
 }
 
 
//  批量审核调停课
export function btachExamineAdjustCourse(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/btach_examine/`,
   method: `post`, 
   data
  })
 } 
  
// 新增换课 
export function createExchange(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/exchange_create/`,
   method: `post`, 
   data
  })
 } 
 

// 批量审核换课
export function btachExamineChange(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/exchange_verify/`,
   method: `post`, 
   data
  })
 }
 
 
// 批量创建代课 
export function batchCreateReplace(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/replace_create/`,
   method: `post`, 
   data
  })
 }

 
// 批量审核代课 
export function btachReplaceVerify(data) {
  return request({
   url: `${EDUCATION_PATH}/plan_changes/replace_verify/`,
   method: `post`, 
   data
  })
 }