
import ApiPath from "string-edu-middleware/api/path"
import request from "string-edu-middleware/utils/request"

import {EDU_PUBLIC_SERVICE_PATH} from "string-edu-middleware/api/index"

 
export function getImageByBase64(params) {
    return request({
        url: `${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/getImageByBase64/`,
        method: `get`,
        params
    })
}

// 多文件批量下载
export function donwloadMulti(params) {
    return request({
        url: `${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/donwloadMulti/`,
        method: `get`,
        params
    })
}


// 文件下载功能
export function donwloadFile(params) {
    return request({
        url: `${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/donwload/`,
        method: `get`,
        params
    })
}

// 永中附件预览功能-获取url
export function getDCSUrl(params) {
    return request({
        url: `${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/getDCSUrl/`,
        method: `get`,
        params
    })
}  

// 获取人员列表
export function queryUsers(params) {
    return request({
        url: ApiPath.public.queryUsers,
        method: `get`,
        params

    })
}  

// 获取单个人员数据
export function getUsers(id) {

    return request({
        url: ApiPath.public.queryUsers.replace("<id>", id),
        method: `get`
    })

}

// 获取部门
export function queryOrgs(params) {
    return request({
        url: ApiPath.public.queryOrgs,
        method: `get`,
        params

    })
}

// 获取负责人
export function queryEmployees(params) {
    return request({
        url: ApiPath.public.queryEmployees,
        method: `get`,
        params

    })
}



// 根据用户id来获取教务的二级学院数据
export function getUserInfo(params) {
    return request({
        url: ApiPath.education.edu.base.majorGetUserInfoTea.get,
        method: `get`,
        params

    })
}



 //上传附件.返回json数据格式
export function getByJsonURL() { 
    return `${window.string.SERVICE_HOST}${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/upload/v3/getByJson/`;
} 






// api\v3.1\framework\utils\file.js







