import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import requestPublic from 'string-edu-middleware/utils/request'

import { 
    EDU_FWK_SERVICE_PATH,
    EDU_PUBLIC_SERVICE_PATH,//基础数据
} from "string-edu-middleware/api/index";
 
// 查询教学任务 -公共数据
// 学期
export function queryTerm(params) {  
    return requestPublic({
        url: ApiPath.education.edu.public.term.query,
        method: 'get',
        params
    }) 
}

// 部门
export function queryOrgs(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.orgs.query,
        method: 'get',
        params
    })
}

// 专业
export function queryMarjor() {
    return requestPublic({
        url: ApiPath.education.edu.public.major.query,
        method: 'get',
    })
} 

// 课程
export function queryCourse(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.course.query,
        method: 'get',
        params
    })
} 

// 教师
export function queryTeacher(params) {

    return requestPublic({ 
        url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/`,
        method: 'get',
        params
    })
    
    // return request({
    //     url: `${EDU_FWK_SERVICE_PATH}/users/org_user_info`,
    //     method: 'get',
    //     params
    //   })

}

// 查询组织架构人员
export function queryTeacherFWK(params) {
    return request({
      url: `${EDU_FWK_SERVICE_PATH}/users/org_user_info`,
      method: 'get',
      params
    })
  }



// 课程性质
export function queryCourseType() {
    return requestPublic({
        url: ApiPath.education.edu.public.courseType.query,
        method: 'get',
    })
}

// 课程类别
export function queryCourseCategory() {
    return requestPublic({
        url: ApiPath.education.edu.public.courseCategory.query,
        method: 'get',
    })
}

// 考核方式
export function queryExamineMode() {
    return requestPublic({
        url: ApiPath.education.edu.public.examineMode.query,
        method: 'get',
    })
}

// 校区
export function querySchoolRegion() {
    return requestPublic({
        url: ApiPath.education.edu.public.SchoolRegion.query,
        method: 'get',
    })
}

// 教学场所
export function queryBuilding(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.Building.query,
        method: 'get',
        params
    })
}
// 教学场所
export function queryRoom(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.Room.query,
        method: 'get',
        params
    })
} 

// 查询周次
export function queryTeachingWeek(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.teachingWeek.query,
        method: 'get',
        params
    })
}

// 查询节次
export function queryTeachingLesson(params) {
    return requestPublic({
        url: ApiPath.education.edu.public.teachingLesson.query,
        method: 'get',
        params
    })
}

// 查询字典
export function queryDictionaries(params) {
    return request({
        url: ApiPath.education.edu.public.dictionaries.query,
        method: 'get',
        params
    })
} 

// -----------------教务系统，课程导入-------------------------

// 导入课程
export function importCourse(data) {
    return request({
        url: ApiPath.education.edu.public.course.import,
        method: 'post',
        data
    })
}

// // 获取课程导入模板
// export function getTemplate(params) {
//     return request({
//         url: ApiPath.education.edu.public.course.getTemplate,
//         method: 'get',
//         params
//     })
// }

// 查询导入的课程信息
export function queryImportCourses(params) {
    return request({
        url: ApiPath.education.edu.public.course.importCourses,
        method: 'get',
        params
    })
}

// // 导入课程信息预览
// export function importPreview(data) {
//     return request({
//         url: ApiPath.education.edu.public.course.importPreview,
//         method: 'post',
//         data
//     })
    
// }
