import request from 'string-edu-middleware/utils/request'

import {
  EDU_FWK_SERVICE_PATH,
  EDU_PUBLIC_SERVICE_PATH,//公共
  EDUCATION_PATH,//教务主体
} from "string-edu-middleware/api/index"


//======选人 多选和单选====
// 查询组织架构人员
export function queryUser (params) {
  return request({
    url: `${EDU_FWK_SERVICE_PATH}/users/org_user_info`,
    method: 'get',
    params
  })
}

// 查询组织架构人员-通过userId来查询
export function getuser (id) {
  return request({
    url: `${EDU_FWK_SERVICE_PATH}/users/${id}/`,
    method: 'get'
  })
}

//======选人 多选和单选====
// 查询组织架构人员
// export function queryUser(params) {
//   return request({
//     url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/`,
//     method: 'get',
//     params
//   })
// }

// // 查询组织架构人员-通过userId来查询
// export function getyuser(id) {
//   return request({
//     url: `${EDU_PUBLIC_SERVICE_PATH}/sys/account/${id}`,
//     method: 'get'
//   })
// }


//======选班级 多选和单选====
export function queryClass (params) {
  return request({
    url: `${EDU_PUBLIC_SERVICE_PATH}/sys/orgs/classes/`,
    method: 'get',
    params
  })
}

//======选课程 多选和单选====
export function queryCourse (params) {
  return request({
    url: `${EDU_PUBLIC_SERVICE_PATH}/base/tch_courses/`,
    method: 'get',
    params
  })
}

//======选校外人员 多选和单选====
export function queryOutsidePerson (params) {
  return request({
    url: `${EDU_PUBLIC_SERVICE_PATH}/user/consultants/`,
    method: 'get',
    params
  })
}



// 上传文件 -返回json格式数据
export function uploadByJson (data) {
  return request({
    url: `${EDU_PUBLIC_SERVICE_PATH}/sys/attachments/upload/v3/getByJson/`,
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    method: 'post',
    data
  })
}





// 查询学生（带专业，学籍状态）
export function queryStudentInfo (params) {
  return request({
    url: `${EDUCATION_PATH}/base/student_info/`,
    method: 'get',
    params
  })
}

