import request from '@/utils/request'
import { EDU_SELECT_COURSE_PATH } from "string-edu-middleware/api/index"

// 查询批次
export function querySelectBatch (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/`,
    method: 'get',
    params,
  })
}

// 获取批次
export function getSelectBatch (id) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/`,
    method: 'get',
  })
}


// 新增批次
export function createSelectBatch (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/create/`,
    method: 'post',
    data
  })
}


// 修改批次
export function updateSelectBatch (id, data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除批次
export function deleteSelectBatch (id, data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/delete/`,
    method: 'post',
    data
  })
}

// 批量删除批次
export function deletesSelectBatch (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/deletes/`,
    method: 'post',
    data
  })
}

// 开始选课
export function startSelect (id, data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/importToRedis/`,
    method: 'post',
    data
  })
}

// 结束选课
export function endSelect (id, data) {
  return request({
    // /base/batches/{batchId}/importToMySql/
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/importToMySql/`,
    method: 'post',
    data
  })
}

// 更新到教学任务
export function updateToTask (id) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/base/batches/${id}/updateToTask/`,
    method: 'post'
  })
}
