import request from '@/utils/request'
import { EDU_SELECT_COURSE_PATH } from "string-edu-middleware/api/index"

// 选课任务

// 查询管理员选课
export function queryChioceCourse (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/`,
    method: 'get',
    params
  })
}

// 获取管理员选课
export function getChioceCourse (id) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/${id}/get/`,
    method: 'get',
  })
}


// 实时查询选课
export function queryRealTimeChioceCourse (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/real_time`,
    method: 'get',
    params
  })
}


// 新增管理员选课
export function createChioceCourse (value) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/create/`,
    method: 'post',
    data: value
  })
}



// 修改管理员选课
export function updateChioceCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/${data.id}/update/`,
    method: 'post',
    data
  })
}


// 删除管理员选课
export function deleteChioceCourse (id) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/${id}/delete/`,
    method: 'post',
  })
}

// 批量删除管理员选课
export function deletesChioceCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selections/deletes/`,
    method: 'post',
    data
  })
}

// 查询选课班级
export function queryClassChoice (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selection_classes/`,
    method: 'get',
    params
  })
}

// 创建选课班级
export function createClassChoice (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selection_classes/create/`,
    method: 'post',
    data
  })
}

// 删除选课班级
export function deleteClassChoice (id) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/course_selection_classes/${id}/delete/`,
    method: 'post',
  })
}

// 选课，更新教学任务
export function choiceSyncTask (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/sync_task/`,
    url: ApiPath.education.edu.select.sync_task,
    method: 'post',
    data
  })
}

// 学生查看自己能选的课程
export function getStudentValidCourses (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/get_valid_courses/`,
    url: ApiPath.education.edu.select.get_valid_courses,
    method: 'get',
    params
  })
}

// 学生选课
export function postStudentChooseCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/choose/`,
    method: 'post',
    data
  })
}

// 查询学生选课结果
export function getStudentReportCourses (params) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/student_report/`,
    method: 'get',
    params
  })
}


//删除学生选课
export function deleteStudentCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/delete_student/`,
    method: 'post',
    data
  })
}


//导出选课
export function exportSelectionCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/export_selection/`,
    method: 'post',
    data
  })
}

//导入选课
export function importSelectionCourse (data) {
  return request({
    url: `${EDU_SELECT_COURSE_PATH}/education_edu/selections/import_selection/`,
    method: 'post',
    data
  })
}
