import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import { EDUCATION_PATH,EDU_PRACTICE_SERVICE_PATH } from "string-edu-middleware/api/index";
//教学任务统计
// 教学任务学院纬度
export function queryTasksOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/tasks/org/`,
    method: 'get',
    params
  })
}

// 教学任务教师纬度
export function queryTasksTeacher(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/tasks/teacher/`,
    method: 'get',
    params
  })
}

// 教学任务班级纬度
export function queryTasksClass(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/tasks/class/`,
    method: 'get',
    params
  })
}



//-----------------------------------------------------------------------
//授课计划统计
// 授课教学单位纬度
export function queryPlansOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/plans/org/`,
    method: 'get',
    params
  })
}

// 授课教师纬度
export function queryPlansTeacher(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/plans/teacher/`,
    method: 'get',
    params
  })
}



//--------------------------------------------------------------------------------------------
//排课统计
// 排课教室纬度
export function querySchedulesRoom(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/schedules/room/`,
    method: 'get',
    params
  })
}

// 排课教学单位纬度
export function querySchedulesArrangement(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/schedules/arrangement/`,
    method: 'get',
    params
  })
}

// 排课教师纬度
export function querySchedulesBuilding(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/schedules/building/`,
    method: 'get',
    params
  })
}



//-----------------------------------------------------------------------
//选课
// 选课教学单位纬度
export function queryCourseOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/course_selections/org/`,
    method: 'get',
    params
  })
}

// 选课专业纬度
export function queryCourseMajor(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/course_selections/major/`,
    method: 'get',
    params
  })
}

// 选课课程纬度
export function queryCourseCourse(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/course_selections/course/`,
    method: 'get',
    params
  })
}

//-----------------------------------------------------------------------
//教材统计教学单位纬度
export function queryBooksOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/books/org/`,
    method: 'get',
    params
  })
}

// 供应商纬度
export function queryBooksSuppier(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/books/supplier/`,
    method: 'get',
    params
  })
}

// 教材属性纬度
export function queryBooksType(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/books/type/`,
    method: 'get',
    params
  })
}


//-----------------------------------------------------------------------
//考务统计教学单位纬度
export function queryExamsOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/exams/org/`,
    method: 'get',
    params
  })
}

// 供应商纬度
export function queryExamsTeacher(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/exams/teacher/`,
    method: 'get',
    params
  })
}

// 教材属性纬度
export function queryExamsMajor(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/exams/major/`,
    method: 'get',
    params
  })
}


//-----------------------------------------------------------------------
//成绩统计教学单位纬度
export function queryGradesOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/grades/org/`,
    method: 'get',
    params
  })
}

// 二级学院纬度
export function queryGradesDepartment(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/grades/department/`,
    method: 'get',
    params
  })
}

// 班级纬度
export function queryGradesClass(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/grades/class/`,
    method: 'get',
    params
  })
}

// 课程纬度
export function queryGradesCourse(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/grades/course/`,
    method: 'get',
    params
  })
}



//-----------------------------------------------------------------------
//学籍异动统计
// 二级学院纬度
export function queryChangesOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/status_changes/org/`,
    method: 'get',
    params
  })
}

// 班级纬度
export function queryChangesClass(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/status_changes/class/`,
    method: 'get',
    params
  })
}



//-----------------------------------------------------------------------
//顶岗实习二级学院纬度
export function queryPracticeOrg(params) {
  return request({
    url: `${EDU_PRACTICE_SERVICE_PATH}/statistics/org/`,
    method: 'get',
    params
  })
}

// 实习单位变更纬度
export function queryPracticeChange(params) {
  return request({
    url: `${EDU_PRACTICE_SERVICE_PATH}/statistics/change/`,
    method: 'get',
    params
  })
}

// 班级纬度
export function queryPracticeClass(params) {
  return request({
    url: `${EDU_PRACTICE_SERVICE_PATH}/statistics/class/`,
    method: 'get',
    params
  })
}

//-----------------------------------------------------------------------
//工作量统计
// 二级学院纬度
export function queryWorkLoadOrg(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/work_loads/org/`,
    method: 'get',
    params
  })
}

// 教师纬度
export function queryWorkLoadTeacher(params) {
  return request({
    url: `${EDUCATION_PATH}/statistics/work_loads/teacher/`,
    method: 'get',
    params
  })
}
