
import request from 'string-edu-middleware/utils/request'
import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";

export default {
    // 查询教学任务问卷
    queryEvalTask(params) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/`,
            method: 'get',
            params
        })
    },

    // 查询单个教学任务问卷
    getEvalTask(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/${id}/`,
            method: 'get'
        })
    },

    // 新增教学任务问卷
    createEvalTask(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/create/`,
            method: 'post',
            data
        })
    },
 
        // 批量设置问卷
        batchUpdaetEvalTask(data) {
            return request({
                url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/batch_update/`,
                method: 'post',
                data
            })
        },


    // 修改教学任务问卷
    updateEvalTask(id, data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/${id}/update/`,
            method: 'post',
            data
        })
    },

    // 删除教学任务问卷
    deleteEvalTask(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/${id}/delete/`,
            method: 'post'
        })
    },

    // 批量删除教学任务问卷
    batchDeleteEvalTask(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/batch_delete/`,
            method: 'post',
            data
        })
    },

    // 自动生成
    generateEvalTask(termId) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_task/setting/${termId}/generate/`,
            method: 'post'
        })
    },

}