
import request from 'string-edu-middleware/utils/request'
import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";



export default {
    // 查询评价用户
    queryUserTypeUser(params) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/`,
            method: 'get',
            params
        })
    },

    // 查询单个评价用户
    setUserTypeUser(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/${id}/`,
            method: 'get'
        })
    }, 

    // 新增评价用户
    createUserTypeUser(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/create/`,
            method: 'post',
            data
        })
    },
    //批量新增评价用户
    batchCreateUser(data){
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/batch_create/`,
            method: 'post',
            data
        })
    },

    // 修改评价用户
    updateUserTypeUser(id,data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/${id}/update/`,
            method: 'post',
            data
        })
    }, 

    // 删除评价用户
    deleteUserTypeUser(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/${id}/delete/`,
            method: 'post'
        })
    }, 

    // 批量删除评价用户
    batchDeleteUserTypeUser(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_users/batch_delete/`,
            method: 'post',
            data
        })
    } 
}


