
import request from 'string-edu-middleware/utils/request'
import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index";



export default {
    // 查询评价用户类别
    queryUserType(params) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/`,
            method: 'get',
            params
        })
    },

    // 查询单个评价用户类别
    getUserType(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/${id}/`,
            method: 'get'
        })
    }, 

    // 新增评价用户类别
    createUserType(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/create/`,
            method: 'post',
            data
        })
    },

    // 修改评价用户类别
    updateUserType(id,data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/${id}/update/`,
            method: 'post',
            data
        })
    }, 

    // 删除评价用户类别
    deleteUserType(id) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/${id}/delete/`,
            method: 'post'
        })
    }, 

    // 批量删除评价用户类别
    batchDeleteUserType(data) {
        return request({
            url: `${EDU_COMMENT_SERVICE_PATH}/eval_user_types/batch_delete/`,
            method: 'post',
            data
        })
    } 
}


