import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import { EDU_COMMENT_SERVICE_PATH } from "string-edu-middleware/api/index.js"
// 专家设置

// 查询专家设置
export function queryExport (params) {
  return request({
    url: ApiPath.comment.exports.export.query,
    method: 'get',
    params
  })
}

// 获取专家设置
export function getExport (id) {
  return request({
    url: ApiPath.comment.exports.export.get.replace("<id>", id),
    method: 'get',
  })
}

// 新增专家设置
export function createExport (data) {
  return request({
    url: ApiPath.comment.exports.export.create,
    method: 'post',
    data
  })
}


// 修改专家设置
export function updateExport (data) {
  return request({
    url: ApiPath.comment.exports.export.update,
    method: 'post',
    data
  })
}

// 删除专家设置
export function deletexport (id) {
  return request({
    url: ApiPath.comment.exports.export.delete.replace("<id>", id),
    method: 'post'
  })
}


// 删除专家设置-评审范围
export function deleteOrgExport (id) {
  return request({
    url: ApiPath.comment.exports.exportOrg.delete.replace("<id>", id),
    method: 'post'
  })
}



// /export/batch_check/ 
// 批量审核评审督导 
export function batchCheckExports (data) {
  return request({
    url: `${EDU_COMMENT_SERVICE_PATH}/export/batch_check/`,
    method: 'post',
    data
  })
}
