import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import { EDUCATION_PATH } from "string-edu-middleware/api/index";

// 查询教学任务-总
export function queryTeachingTask(params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/`,
    method: 'get',
    params
  })
} 

// 获取单个教学任务
export function getTeachingTask(id) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/get/`,
    method: 'get',
    params: {
      taskId: id
    }
  })
} 


// 新增教学任务
export function createTeachingTask(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/create/`,
    method: 'post',
    data
  })
}
// ========================修改教学任务============================


// 修改教学任务
export function updateTeachingTask(data) {
  return request({
    url: ApiPath.education.edu.task.update,
    method: 'post',
    data
  })
}

// ========================删除教学任务============================
// 删除教学任务
export function deleteTeachingTask(id) {
  return request({
    url: ApiPath.education.edu.task.delete,
    method: 'post',
    data: {
      taskId: id
    }
  })
}




// 查询教学任务-教师
export function queryTeachingTaskTeacher(params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/`,
    method: 'get',
    params
  })
}


// 查询单个学生
export function getOneTeachingTask(id) {

  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/getOne/`,
    method: 'get',
    params: {
      taskId: id
    }
  })
}




// ========================批量删除教学任务============================


// 批量删除教学任务
export function batchDeleteTeachingTask(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/batch_delete/`,
    method: 'post',
    data
  })
}
// ========================合并教学任务============================


// 合并教学任务
export function mergeTeachingTask(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/merge/`,
    method: 'post',
    data
  })
}


// ========================拆分教学任务============================


// 拆分教学任务 
export function divideTeachingTask(id) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/divide/`,
    method: 'post',
    data: {
      taskId: id
    }
  })
}


// 批量拆分教学任务 
export function batchDivideTeachingTask(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/batch_divide/`,
    method: 'post',
    data
  })
}

// ========================导入补考重修的数据============================

//在导入补考重修时获取课程总数
export function countFromExamination(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/import/count_from_examination/`,
    method: 'post',
    data
  })
} 

// 从补考重修中导入
export function importFromExam(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/import/import_from_examination/`,
    method: 'post',
    data
  })
}




// ====================导入教学任务=========================
//在导入教学任务时获取课程总数
export function countFromSchedule(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/import/count_from_schedule/`,
    method: 'post',
    data
  })
}

//在导入虚拟班级时获取课程总数
export function countFromClass(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/import/count_from_unreal_class/`,
    method: 'post',
    data
  })
}

// 从虚拟班级中导入  
export function importClass(data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/tasks/import/import_from_unreal_class/`,
    method: 'post',
    data
  })
}

// 从教学进程中导入  
export function importSchedule(data) {
  return request({
    url: ApiPath.education.edu.task.FromScheduleTask.importFromSchedule,
    method: 'post',
    data
  })
}



// ====================同步学生名单=========================
// 同步学生名单  
export function syncStudent(data) {
  return request({
    url: ApiPath.education.edu.task.syncStudent,
    method: 'post',
    data
  })
} 

// ====================查询班级=========================
// 查询班级  
export function queryClasses(params) {
  return request({
    url: ApiPath.education.edu.task.taskClasses.query,
    method: 'get',
    params
  })
}
// 创建班级  
export function creatClasses(data) {
  return request({
    url: ApiPath.education.edu.task.taskClasses.create,
    method: 'post',
    data
  })
}
// 删除班级  
export function deleteClasses(id) {

  return request({
    url: ApiPath.education.edu.task.taskClasses.delete,
    method: 'post',
    data: {
      classId: id
    }
  })
}


// ====================查询教师=========================


// 查教师  
export function queryTaskTeacher(params) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.query,
    method: 'get',
    params
  })
}
// 创建教师  
export function creatTaskTeachers(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.create,
    method: 'post',
    data
  })
}
// 删除教师  
export function deleteTaskTeacher(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.delete,
    method: 'post',
    data: {
      teacherId: id
    }
  })
}
// 编辑教师  
export function updateTaskTeacher(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.update,
    method: 'post',
    data
  })
}


// 修改教学任务主讲老师-所有学生(未分配)  
export function updateStudentAll(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.updateStuAll,
    method: 'post',
    data: {
      taskId: id
    }
  })
}








// 查教师  
export function queryTaskTeacherSchool(params) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.querySchool,
    method: 'get',
    params
  })
}
// 创建教师  
export function creatTaskTeachersSchool(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.createSchool,
    method: 'post',
    data
  })
}
// 删除教师  
export function deleteTaskTeacherSchool(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.deleteSchool,
    method: 'post',
    data: {
      teacherId: id
    }
  })
}
// 编辑教师  
export function updateTaskTeacherSchool(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.updateSchool,
    method: 'post',
    data
  })
}


// 修改教学任务主讲老师-所有学生(未分配)  
export function updateStudentAllSchool(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.updateStuAllSchool,
    method: 'post',
    data: {
      taskId: id
    }
  })
}





// 查教师  
export function queryTaskTeacherOrg(params) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.queryOrg,
    method: 'get',
    params
  })
}
// 创建教师  
export function creatTaskTeachersOrg(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.createOrg,
    method: 'post',
    data
  })
}
// 删除教师  
export function deleteTaskTeacherOrg(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.deleteOrg,
    method: 'post',
    data: {
      teacherId: id
    }
  })
}
// 编辑教师  
export function updateTaskTeacherOrg(data) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.updateOrg,
    method: 'post',
    data
  })
}


// 修改教学任务主讲老师-所有学生(未分配)  
export function updateStudentAllOrg(id) {
  return request({
    url: ApiPath.education.edu.task.taskTeacher.updateStuAllOrg,
    method: 'post',
    data: {
      taskId: id
    }
  })
}



// ====================查询学生=========================



// 查学生  
export function queryStudent(params) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.query,
    method: 'get',
    params
  })
}
// 创建学生  
export function creatStudent(data) {
  console.log("我所传递的data数据");
  console.log(data)
  return request({
    url: ApiPath.education.edu.task.taskStudents.create,
    method: 'post',
    data
  })
}
// 删学生  
export function deleteStudent(id) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.delete,
    method: 'post',
    data: {
      studentId: id
    }
  })
}

// 修改教学任务-学生
export function updateStudent(data) {

  return request({
    url: ApiPath.education.edu.task.taskStudents.update,
    method: 'post',
    data
  })
}








// 查学生  
export function queryStudentSchool(params) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.query,
    method: 'get',
    params
  })
}
// 创建学生  
export function creatStudentSchool(data) {
  console.log("我所传递的data数据");
  console.log(data)
  return request({
    url: ApiPath.education.edu.task.taskStudents.createSchool,
    method: 'post',
    data
  })
}
// 删学生  
export function deleteStudentSchool(id) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.deleteSchool,
    method: 'post',
    data: {
      studentId: id
    }
  })
}

// 修改教学任务-学生
export function updateStudentSchool(data) {

  return request({
    url: ApiPath.education.edu.task.taskStudents.updateSchool,
    method: 'post',
    data
  })
}










// 查学生  
export function queryStudentOrg(params) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.query,
    method: 'get',
    params
  })
}
// 创建学生  
export function creatStudentOrg(data) {
  console.log("我所传递的data数据");
  console.log(data)
  return request({
    url: ApiPath.education.edu.task.taskStudents.createOrg,
    method: 'post',
    data
  })
}
// 删学生  
export function deleteStudentOrg(id) {
  return request({
    url: ApiPath.education.edu.task.taskStudents.deleteOrg,
    method: 'post',
    data: {
      studentId: id
    }
  })
}

// 修改教学任务-学生
export function updateStudentOrg(data) {

  return request({
    url: ApiPath.education.edu.task.taskStudents.updateOrg,
    method: 'post',
    data
  })
}
















// 教学任务统计
export function statistical(params) {

  return request({
    url: ApiPath.education.edu.task.statistical,
    method: 'get',
    params
  })
}



// ====================排课规则api==============================
// 查 排课规则  
export function getCfg(params) {
  return request({
    url: ApiPath.education.edu.task.taskCfg.get,
    method: 'get',
    params
  })
}

//增 排课规则  
export function createCfg(id, data) {
  return request({
    url: ApiPath.education.edu.task.taskCfg.create.replace("<id>", id),
    method: 'post',
    data
  })
}

//删 排课规则  
export function deleteCfg(id, data) {
  return request({
    url: ApiPath.education.edu.task.taskCfg.delete.replace("<id>", id),
    method: 'post',
    data
  })
}



// 改 排课规则  
export function updateCfg(id, data) {
  return request({
    url: ApiPath.education.edu.task.taskCfg.update.replace("<id>", id),
    method: 'post',
    data
  })
}





// 查看班级整周实训教学任务
export function queryClassWeekTask(params) {

  return request({
    url: ApiPath.education.edu.task.classWeekTask,
    method: 'get',
    params
  })
}





// 教学任务班级人数校验
export function queryStudentNumCheck(params) {
  return request({
    url: ApiPath.education.edu.task.studentNumCheck,
    method: 'get',
    params
  })
}
