import request from 'string-edu-middleware/utils/request';
// 获取教材选用
import { EDUCATION_PATH } from "string-edu-middleware/api/index";

// ========================= 教材采购 =========================

// 查询教材采购
export function queryBookBuy (params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/`,
    method: 'get',
    params
  })
}

// 获取单个教材采购
export function getBookBuy (id, params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/${id}/`,
    method: 'get',
    params
  })
}

// 新增教材采购
export function createBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/create/`,
    method: 'post',
    data
  })
}

// 修改教材采购
export function updateBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除教材采购
export function deleteBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/${id}/delete/`,
    method: 'post',
    data
  })
}


// 生成子表数据
export function generateBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/${id}/generate/`,
    method: 'post',
    data
  })
}



//  =================== 教材采购明细 ===================


// 查询教材采购明细 
export function queryBookBuyEntry (params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy_entry/`,
    method: 'get',
    params
  })
}

// 获取单个教材采购明细 
export function getBookBuyEntry (id, params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy_entry/${id}/`,
    method: 'get',
    params
  })
}

// 新增教材采购明细 
export function createBookBuyEntry (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy_entry/create/`,
    method: 'post',
    data
  })
}

// 修改教材采购明细 
export function updateBookBuyEntry (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy_entry/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除教材采购明细 
export function deleteBookBuyEntry (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy_entry/${id}/delete/`,
    method: 'post',
    data
  })
}






//  =================== 教材发放列表 ===================

// 查询教材发放列表
export function queryGrantBookBuy (params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/`,
    method: 'get',
    params
  })
}

// 查询单个教材方法
export function getGrantBookBuy (id, params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/${id}/`,
    method: 'get',
    params
  })
}

// 创建单个教材发放
export function createGrantBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/create/`,
    method: 'post',
    data
  })
}

// 修改单个教材发放
export function updateGrantBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除单个教材发放
export function deleteGrantBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/${id}/delete/`,
    method: 'post',
    data
  })
}

// 批量删除教材发放
export function batchDeleteGrantBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/batch_delete/`,
    method: 'post',
    data
  })
}

//  自动生成
export function generateGrantBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/generate/`,
    method: 'post',
    data
  })
}

//  根据学期编号和教材编号获取教材加权平均价格
export function getPriceGrantBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/grant/get_price/`,
    method: 'post',
    data
  })
}

//  =================== 教材采购计划 =================== 

// 查询教材采购计划列表
export function queryPlanBookBuy (params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/`,
    method: 'get',
    params
  })
}

// 查询教材采购计划列表
export function getPlanBookBuy (id) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/${id}/`,
    method: 'get',
    params
  })
}

// 删除单个教材采购计划
export function deletePlanBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/${id}/delete/`,
    method: 'post',
    data
  })
}

// 修改单个教材采购计划
export function updatePlanBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/${id}/update/`,
    method: 'post',
    data
  });
}

// 同步学期教材采购计划
export function syncPlanBookBuy (id, data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/${id}/sync/`,
    method: 'post',
    data
  });
}

// 批量删除教材采购计划
export function batchDeletePlanBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/batch_delete/`,
    method: 'post',
    data
  });
}

// 批量设置供应商
export function batchUpdatePlanBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/batch_update/`,
    method: 'post',
    data
  });
}

// 创建单个教材采购计划
export function createPlanBookBuy (data) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/create/`,
    method: 'post',
    data
  });
}

// 查询教材采购计划总价
export function queryTotalPricePlanBookBuy (params) {
  return request({
    url: `${EDUCATION_PATH}/book_buy/plan/total_price/`,
    method: 'get',
    params
  });
}

