import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import {
  EDUCATION_BASE_PATH
} from 'string-edu-middleware/api/index'

// edu_base_service/base/tch_books
// 查询教材
export function queryBook (params) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/`,
    method: 'get',
    params
  })
}


// 获取教材
export function getBook (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/${id}/`,
    method: 'get',
    params: {
      bookId: id
    }
  })
}

// 新增教材
export function createBook (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/create/`,
    method: 'post',
    data
  })
}


// 修改教材
export function updateBook (id, data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/${id}/update/`,
    method: 'post',
    data
  })
}

// 删除教材
export function deleteBook (id) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/${id}/delete/`,
    method: 'post',
    // data: {
    //   bookId: id
    // }
  })
}
// 批量删除教材
export function moreDeleteBook (data) {
  return request({
    url: `${EDUCATION_BASE_PATH}/base/tch_books/deletes/`,
    method: 'post',
    data
  })
}

