import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import { EDUCATION_PATH } from "string-edu-middleware/api/index";

// 成绩日志查询
export function queryGradeLog (params) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/grade_log/`,
    method: 'get',
    params
  })
}
// 查询学生
export function queryGrade (params) {
  return request({

    url: ApiPath.education_edu.grade.grade.query,
    method: 'get',
    params
  })
}
// 获取学生成绩和数据
export function getStudentAndGrade (params) {
  return request({

    url: ApiPath.education_edu.grade.grade.studentGrade,
    method: 'get',
    params
  })
}
//批量录入成绩
export function updatesGrade (task_id, id, grade) {
  return request({
    url: ApiPath.education_edu.grade.grade.updates,
    method: 'post',
    data: {
      taskId: task_id,
      scoreFlag: id,
      grade: grade
    }
  })
}
// 保存学生成绩
export function saveGrade (taskId, id, list) {
  return request({
    url: ApiPath.education_edu.grade.grade.saveGrade,
    method: 'post',
    data: {
      taskId: taskId,
      scoreFlag: id,
      list: list
    }
  })
}
//提交学生成绩
export function submitGrade (data) {
  return request({
    url: ApiPath.education_edu.grade.grade.submitGrade,
    method: 'post',
    data
  })
}
//切换分制
export function divisionGrade (params) {
  return request({
    url: ApiPath.education_edu.grade.grade.division,
    method: 'get',
    params
  })
}


//提交学生成绩
export function submitScore (data) {
  return request({
    url: ApiPath.education_edu.grade.grade.submitScore,
    method: 'post',
    data
  })
}



//查询补考重修
export function gradeFail (params) {
  return request({
    url: ApiPath.education_edu.grade.grade.fail,
    method: 'get',
    params
  })
}


// 
//更改报名状态
export function updateGradeStatus (data) {
  return request({
    url: ApiPath.education_edu.grade.grade.updateGradeStatus,
    method: 'post',
    data
  })
}


//打印成绩单
export function printGradeStatus (data) {
  return request({
    url: ApiPath.education_edu.grade.grade.printGradeStatus,
    method: 'post',
    data
  })
}

// 下载学生成绩模板  
export function downloadGradeStatus (params) {
  return `${window.string.SERVICE_HOST}${EDUCATION_PATH}/education_edu/grade/download/?gradeLevelId=${params.gradeLevelId}&status=${params.status}&taskId=${params.taskId}`;
}

// 预览学生成绩信息
export function previewGradeStatus (params) {
  return `${window.string.SERVICE_HOST}${EDUCATION_PATH}/education_edu/grade/preview/?gradeLevelId=${params.gradeLevelId}&status=${params.status}&taskId=${params.taskId}`;
}

// 导入学生成绩信息 
export function importGradeStatus (data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/grade/import/`,
    method: 'post',
    data
  })
}



//批量审核成绩
export function batchVerifyGrade (data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/grade/batch_verify/`,
    method: 'post',
    data
  })
}

 
// /education_edu/grade/export_by_class/
// 按照班级成绩导出

export function exportByClassGrade (data) {
  return request({
    url: `${EDUCATION_PATH}/education_edu/grade/export_by_class/`,
    method: 'post',
    data
  })
}