import request from 'string-edu-middleware/utils/request';
import { EDUCATION_PATH } from "string-edu-middleware/api/index";


// 查询补考重修
export function queryGradeMakeUp(params) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/`,
  method: 'get',
  params
 })
} 

// 查询单个补考重修
export function getGradeMakeUp(id) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/${id}/`,
  method: 'get',
 })
}

// 删除单个补考重修
export function deleteGradeMakeUp(id) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/${id}/delete/`,
  method: 'post',
 })
}
 

// 生成学期补考重修数据
export function generateGradeMakeUp(id) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/${id}/generate/`,
  method: 'post',
 })
}

// 新增补考重修
export function createGradeMakeUp(data) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/create/`,
  method: 'post',
  data
 })
}

// 批量删除补考重修
export function batchDeletesGradeMakeUp(data) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/deletes/`,
  method: 'post',
  data
 })
}

// 修改补考重修
export function updateGradeMakeUp(data) {
 return request({
  url: `${EDUCATION_PATH}/grade/make_up/update/`,
  method: 'post',
  data
 })
} 