import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
import store from '@/store'

import {
  EDUCATION_BASE_PATH,//教务基础接口
  EDUCATION_PATH,//教务主体 
} from "string-edu-middleware/api/index"


// 查询授课计划
export function querySchedule(params) {

    return request({
        url: ApiPath.education_edu.schedule.schedules.querySchedules.query,
        method: 'get',
        params
    })
}

// 新增授课计划
export function createSchedule(data) {

    return request({
        url: ApiPath.education_edu.schedule.schedules.create,
        method: 'post',
        data
    })
}

// 获取授课计划
export function getSchedule(id) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.get,
        method: 'get',
        params: {
            planId: id
        }
    })
}

// 根据课次查询授课计划
export function getPlanSchedule(params) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.getCplan,
        method: 'get',
        params
    })
}

const createData = {

}
// 删除授课计划
export function deleteSchedule(id) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.delete,
        method: 'post',
        data: {
            planId: id
        }
    })
}
// 批量删除授课计划
export function deletesSchedule(data) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.deletes,
        method: 'post',
        data
    })
}


//修改授课计划
export function updateSchedule(id, data) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.update,
        method: 'post',
        data
    })
}
//批量提交标题授课计划
export function updatesSchedule(id, content) {
    console.log("批量提交标题授课计划");
    console.log(content);

    return request({
        url: ApiPath.education_edu.schedule.schedules.updates,
        method: 'post',
        // .replace("<id>",id)
        data: {
            taskId: id,
            content: content.content
        }
    })
}
//显示标题内容
export function showSchedule(params) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.getShow,
        method: 'get',
        params
    })
}

//复制
export function copySchedule(stask_id, ptask_id) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.copy,
        method: 'post',
        data: {
            staskId: stask_id,
            ptaskId: ptask_id
        }
    })
}
// 自动生成
export function generateSchedule(id) {

    return request({
        url: ApiPath.education_edu.schedule.schedules.generate,
        method: 'post',
        data: {
            taskId: id
        }
    })
}
// 提交授课计划
export function submitSchedule(id) {

    return request({
        url: ApiPath.education_edu.schedule.schedules.submit,
        method: 'post',
        data: {
            taskId: id
        }
    })
}
// 教师接口
export function taskteacher(params) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.taskteacher,
        method: 'get',
        params
    })
}



// 审核接口
export function examineVerify(data) { 
    return request({
        url: ApiPath.education_edu.schedule.schedules.verify[store.state.task.examineStatus],
        method: 'post',
        data
    })
}


// 查询审核历史列表
export function queryVerify(params) {
    return request({
        url: ApiPath.education_edu.schedule.schedules.queryVerify,
        method: 'get',
        params
    })
}


 
// 一键自动生成 
export function autoGenerateSchedule(params) {
 return request({
  url: `${EDUCATION_PATH}/education_edu/teacherplans/auto_generate_schedule/`,
  method: `get`, 
  params
 })
}


// /education_edu/teacherplans/syn_plan/
// synPlan
// 同步授课计划 
export function synPlanSchedule(params) {
  return request({
   url: `${EDUCATION_PATH}/education_edu/teacherplans/syn_plan/`,
   method: `get`, 
   params
  })
 }
