import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'
 
 
// 查询教材
export function queryTextBook(params) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.queryMaterialChoose.query,
        method: 'get',
        params
    })
}

// 查询教材-学生
export function queryTextBookStudent(params) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.queryMaterialChoose.student,
        method: 'get',
        params
    })
} 

// 类别
export function getTextBookType(params) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.textbooktype,
        method: 'get',
        params
    })
}

// 获取教材
export function getTextBook(id) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.get,
        method: 'get',
        params:{
            bookuseId:id
        }
    })
}
 
// 添加已选教材
export function addTextBook(data) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.add,
        method: 'post',
        data
    })
}
//要调此接口
const updateData = {
 
}
// 修改教材.replace("<id>",id)
export function updateTextBook(data) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.updateMaterialChoose.update,
        method: 'post',
        data
    })
}

// 删除教材
export function deleteTextBook(id) {
    return request({
        url: ApiPath.education_edu.textbooks.materialChoose.remove,
        method: 'post',
        data:{
            bookuseId:id
        }
    })
}

// 根据学期调教学任务接口
export function getTaskAndNum(params) {  
    return request({
        url: ApiPath.education_edu.textbooks.chooseMaterialTask.get,
        method: 'get',
        params
    })
} 

// 根据学期调教学任务接口
export function getTaskByTchorg(params) {  
    return request({
        url: `/edu_operation_service/education_edu/tasks/get_task_by_tchorg/`,
        method: 'get',
        params
    })
} 
// 提交教材选用
export function submitBookuse(data) { 
    return request({
        url: ApiPath.education_edu.textbooks.submitBookuse,
        method: 'post',
        data
    })
}