import ApiPath from "string-edu-middleware/api/path"
import request from 'string-edu-middleware/utils/request'

import {EDUCATION_PATH} from"string-edu-middleware/api/index"

// 查询教学工作量
export function queryWorkLoad(params) {
    return request({
        url: `${EDUCATION_PATH}/work_load/`,
        method: 'get',
        params
      })
}

// 查询教师工作量
export function queryTeacherWorkLoad(params) {
    return request({
        url: `${EDUCATION_PATH}/work_load/teachers/`,
        method: 'get',
        params
      })
}

// 查询单个教师教学工作量
export function getWorkLoad(workLoadId) {
    return request({
        url: `${EDUCATION_PATH}/work_load/${workLoadId}/teachers/`,
        method: 'get'
    })
}


// 查询单个教学工作量
export function getSingleWorkLoad(params) {
    return request({
        url: `${EDUCATION_PATH}/work_load/get/`,
        method: 'get',
        params
    })
}


//新增教学工作量
export function createWorkLoad(data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/create/`,
        method: 'post',
        data
    })
}


//修改教学工作量
export function updateWorkLoad(data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/update/`,
        method: 'post',
        data
    })
}


//删除教学工作量
export function deleteWorkLoad(workLoadId) {
    return request({
        url: `${EDUCATION_PATH}/work_load/${workLoadId}/delete/`,
        method: 'post'
    })
}


//批量删除教学工作量
export function batchDeleteWorkLoad(data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/batch_delete/`,
        method: 'post',
        data
    })
}


//审核
export function verifyWorkLoad(data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/verify/`,
        method: 'post',
        data
    })
}



// =================工作量教师===============

// 单个查询教学工作量
export function getWorkLoadTeacher(params) {
    return request({
        url: ApiPath.education_edu.workLoad.workLoad.getTeacher,
        // url:``
        method: 'get',
        params
    })
}


//新增教学工作量
export function createWorkLoadTeacher(workLoadId,data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/${workLoadId}/teachers/batch_create/` ,
        method: 'post',
        data
    })
}


//批量修改教学工作量
export function updateWorkLoadTeacher(workLoadId,data) {
    return request({
        url: `${EDUCATION_PATH}/work_load/${workLoadId}/teachers/batch_update/`,
        method: 'post',
        data
    })
}


//删除教学工作量
export function deleteWorkLoadTeacher(workLoadId,teacherId) {
    return request({
        url: `${EDUCATION_PATH}/work_load/${workLoadId}/teachers/${teacherId}/delete/`,
        method: 'post',
    })
}


//批量删除教学工作量
export function deletesWorkLoadTeacher(data) {
    return request({
        url: ApiPath.education_edu.workLoad.workLoad.deletesTeacher,
        method: 'post',
        data
    })
} 

// 导入教学工作量
export function importWorkLoad(data){
    return request({
        url: `${EDUCATION_PATH}/work_load/import_from_text/`,
        method:'post',
        data
    })
}

// 生成教学任务工作量
export function generateWorkLoad(termId){
    return request({
        url: `${EDUCATION_PATH}/work_load/${termId}/generate/`,
        method:'post' 
    })
}


// /work_load/{id}/submit/

// 提交教学任务工作量生申请
export function submitWorkLoad(id){
    return request({
        url: `${EDUCATION_PATH}/work_load/${id}/submit/`,
        method:'post' 
    })
}


