/**
 * 注1： objcet.hasOwnProperty('key') 判断自身属性是否存在  objcet里面的属性
 */
import { mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters("perm", ["currentPerm", "permissions"]),
    ...mapGetters("user", ["userInfo"])
  },

  methods: {
    // -------------------教务主体用-------------------  
    // 搜索
    hasTaskSearch() {
      if (this.isPermissionStatus('search'))
        return this.isTrue()|| this.permissions.search.hasPerm;
    },

    // 重置
    hasTaskReset() {
      if (this.isPermissionStatus('reset'))
        return  this.isTrue()||this.permissions.reset.hasPerm;

    },

    hasTaskAdd() {
      if (this.isPermissionStatus('add'))
        return  this.isTrue()||this.permissions.add.hasPerm;

    },

    hasTaskUpdate() {
      if (this.isPermissionStatus('update'))
        return  this.isTrue()||this.permissions.update.hasPerm;

    },

    hasTaskDelete() {
      if (this.isPermissionStatus('delete'))
        return  this.isTrue()||this.permissions.delete.hasPerm;

    },

    // 同意
    hasTaskAgree() {
      if (this.isPermissionStatus('agree'))
        return  this.isTrue()||this.permissions.agree.hasPerm;

    },

    // 审核
    hasTaskExamine() {
      if (this.isPermissionStatus('edu_examine'))
        return this.permissions.edu_examine.hasPerm;
    },

    // 判断，当前角色是否是学生
    isCurrentStudent() {
      if (this.isPermissionStatus('edu_query_single_student'))
        return this.currentPerm.code == this.permissions.edu_query_single_student.code;
      return false;

    },

    // 判断，当前角色是否是教师
    isCurrentTeacher() {
      if (this.isPermissionStatus('edu_query_single_teacher'))
        return this.currentPerm.code == this.permissions.edu_query_single_teacher.code;
      return false;

    },


    // 判断，当前角色是否是全校
    isCurrentCollege() {
      if (this.isPermissionStatus('query_college'))
        return this.currentPerm.code == this.permissions.query_college.code;
      return false;

    },

    // 判断，当前角色是否是开课部门（或二级学院）
    isCurrentOrg() {
      if (this.isPermissionStatus('query_org'))
        return this.currentPerm.code == this.permissions.query_org.code;
      return false;
    }, 


    // 判断，当前角色是否是教研室权限
    isCurrentTeachingResearch() {
      if (this.isPermissionStatus('edu_query_teaching_research'))
        return this.currentPerm.code == this.permissions.edu_query_teaching_research.code;
      return false;

    },


    // 判断，当前角色是否是班级
    isCurrentClass() {
      if (this.isPermissionStatus('query_lass'))
        return this.currentPerm.code == this.permissions.query_lass.code;
      return false;
    }, 

    // edu_query_headteacher

       // 判断，当前角色是否是班主任
       isCurrentHeadteacher() {
        if (this.isPermissionStatus('edu_query_headteacher'))
          return this.currentPerm.code == this.permissions.edu_query_headteacher.code;
        return false;
      }, 
  


    // 判断权限是否存在-注：hasperm内部使用
    isPermissionStatus(name) {
      
      // 控制权限是否存在
      // if(localStorage.getItem("ceshiperm")=='1') {
      //   return true
      // } 
 
      // 判断权限本身是否存在 
      if (!this.permissions) {
        console.log(`appKey不存在，无法调用权限，请修复。 权限名：【${name}】`);
        return false;
      }
      // 判断指定权限是否存在
      else if (!this.permissions.hasOwnProperty(name)) {
        console.log(`【${name}】权限不存在，请修复`);
        return false;
      }
      // 权限都存在
      else { return true; }
    }, 





    // -------------------教务主体用 END------------------- 

    hasDelete() {
      return this.permissions.delete.hasPerm;
    },
    hasUpdate() {
      return this.permissions.update.hasPerm;
    },
    hasAdd() {
      return this.permissions.add.hasPerm;
    },

    hasQuery() {
      return this.permissions.query.hasPerm;
    },
    hasImport() {
      return this.permissions.import.hasPerm;
    }
  },
}


