/**
 * 注1： objcet.hasOwnProperty('key') 判断自身属性是否存在  objcet里面的属性
 */
import { mapGetters } from "vuex";

export default {
  computed: {
    // ...mapGetters("app3", ["currentPerm", "permissions"]),
    ...mapGetters("app3", ["visitAppCurrentPerm", //当前权限
      "visitAppPermissions"]),

    ...mapGetters("user", ["userInfo"])
  },

  methods: {
    // -------------------教务主体用-------------------  
    // 搜索
    hasTaskSearch() {
      let name = "search";
      if (this.isPermissionStatus(name))
        return this.isTrue() || this.visitAppPermissions[name].hasPerm;
    },

    // 重置
    hasTaskReset() {
      if (this.isPermissionStatus('reset'))
        return this.isTrue() || this.visitAppPermissions.reset.hasPerm;

    },

    hasTaskAdd() {
      if (this.isPermissionStatus('add'))
        return this.isTrue() || this.visitAppPermissions.add.hasPerm;

    },

    hasTaskUpdate() {
      if (this.isPermissionStatus('update'))
        return this.isTrue() || this.visitAppPermissions.update.hasPerm;

    },

    hasTaskDelete() {
      if (this.isPermissionStatus('delete'))
        return this.isTrue() || this.visitAppPermissions.delete.hasPerm;

    },

    // 同意
    hasTaskAgree() {
      if (this.isPermissionStatus('agree'))
        return this.isTrue() || this.visitAppPermissions.agree.hasPerm;

    },

    // 审核
    hasTaskExamine() {
      if (this.isPermissionStatus('edu_examine'))
        return this.isTrue() || this.visitAppPermissions.edu_examine.hasPerm;
    },

    // 判断，当前角色是否是学生
    isCurrentStudent() {
      if (this.isPermissionStatus('edu_query_single_student'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.edu_query_single_student.code;
      return false;
    },

    // 判断，当前角色是否是教师
    isCurrentTeacher() {
      if (this.isPermissionStatus('edu_query_single_teacher'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.edu_query_single_teacher.code;
      return false;

    },


    // 判断，当前角色是否是督导
    isCurrentSupervision() {
      if (this.isPermissionStatus('edu_query_single_supervision'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.edu_query_single_supervision.code;
      return false;

    },


    // 判断，当前角色是否是全校
    isCurrentCollege() {
      if (this.isPermissionStatus('query_college'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.query_college.code;
      return false;

    },

    // 判断，当前角色是否是开课部门（或二级学院）
    isCurrentOrg() {
      if (this.isPermissionStatus('query_org'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.query_org.code;
      return false;
    },


    // 判断，当前角色是否是教研室权限
    isCurrentTeachingResearch() {
      if (this.isPermissionStatus('edu_query_teaching_research'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.edu_query_teaching_research.code;
      return false;

    },


    // 判断，当前角色是否是班级
    isCurrentClass() {
      if (this.isPermissionStatus('query_lass'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.query_lass.code;
      return false;
    },

    // 判断，当前角色是否是班主任
    isCurrentHeadteacher() {

      if (this.isPermissionStatus('edu_query_headteacher'))
        return this.isTrue() || this.visitAppCurrentPerm.code == this.visitAppPermissions.edu_query_headteacher.code;
      return false;
    },


    // 学工部分权限
    // -------------------教务主体用-------------------  


    // 判断，当前角色是否是宿管
    isCurrentStuDormAdmin() {
      let name = "stu_dorm_admin";
      if (this.isPermissionStatus(name))
        return this.visitAppCurrentPerm.code == this.visitAppPermissions[name].code;
      return false;
    },
























    isTrue() {
      // 控制权限是否存在
      if (localStorage.getItem("ceshiperm") == '1') {
        return true
      } else {
        return false
      }
    },

    // 判断权限是否存在-注：hasperm内部使用
    isPermissionStatus(name) {

      // 控制权限是否存在
      if (localStorage.getItem("ceshiperm") == '1') {
        return true
      }

      // 判断权限本身是否存在 
      if (!this.visitAppPermissions) {
        console.log("读取this.visitAppPermissions");
        console.log(this.visitAppPermissions);
        console.log(`appKey不存在，无法调用权限，请修复。 权限名：【${name}】`);
        return false;
      }

      else if (!this.visitAppCurrentPerm) {
        console.log("用户没有当前默认角色");
        return false;
      }

      // 判断指定权限是否存在
      else if (!this.visitAppPermissions.hasOwnProperty(name)) {
        console.log(`【${name}】权限不存在，请修复`);
        return false;
      }



      // 权限都存在
      else { return true; }

    },





    // -------------------教务主体用 END------------------- 

    hasDelete() {
      return this.visitAppPermissions.delete.hasPerm;
    },
    hasUpdate() {
      return this.visitAppPermissions.update.hasPerm;
    },
    hasAdd() {
      return this.visitAppPermissions.add.hasPerm;
    },

    hasQuery() {
      return this.visitAppPermissions.query.hasPerm;
    },
    hasImport() {
      return this.visitAppPermissions.import.hasPerm;
    }
  },
}


