import Cookies from '../util.cookies.js'

const STRING_USER_TOKEN_KEY = "STRING_USER_TOKEN_X";
const STRING_USER_INFO_KEY = "STRING_USER_INFO_X"

// 过期时间设置
let millisecond = new Date().getTime();
let expiresTime = new Date(millisecond + (3 + 8) * 60 * 60 * 1000); // 3小时后过期 + 8小时东八区
const cookieSetting = {
  expires: expiresTime,
}

/**
 * 获取UserToken
 */
export function getToken() {
  return Cookies.get(STRING_USER_TOKEN_KEY)
}

/**
 * 设置UserToken
 */
export function setToken(token) {
  return Cookies.set(STRING_USER_TOKEN_KEY, token, cookieSetting)
}

/**
 * 删除UserToken
 */
export function removeToken() {
  return Cookies.remove(STRING_USER_TOKEN_KEY)
}


export function getUserInfo() {
  let userInfo = localStorage.getItem(STRING_USER_INFO_KEY)
  if (userInfo) {
    return JSON.parse(userInfo);
  }else{
    return null;
  }
}

export function setUserInfo(data) {
  return localStorage.setItem(STRING_USER_INFO_KEY, JSON.stringify(data))
}

export function removeUserInfo() {
  return localStorage.removeItem(STRING_USER_INFO_KEY)
}
