// 教务接口地址
import axios from 'axios'
import store from '@/store'

const service = axios.create({
  headers: {
    //当只设置cacahe-control: 'no-cache'时，IE浏览器始终返回304，抓包工具抓不到包，请求不和服务器确认
    //当只设置cacahe-control: 'no-cache'时，google浏览器始终返回200，抓包工具可以抓取包，请求重新从服务器获取数据，没有利用到浏览器的缓存功能
    'cache-control': 'no-cache',
    //当只设置Pragma: 'no-cache'时，IE浏览器始终返回200，抓包工具可以抓到所有包，请求重新从服务器获取数据，没有利用到浏览器的缓存功能
    //当只设置Pragma: 'no-cache'时，google浏览器始终返回200，抓包工具可以抓到所有包，请求重新从服务器获取数据，没有利用到浏览器的缓存功能
    'Pragma': 'no-cache'
  },
  baseURL: window.string.SERVICE_HOST,

  timeout: 1000000000 // request timeout 
})


// request interceptor
service.interceptors.request.use(
  config => {
    config.headers['token'] = store.getters.userToken
    return config
  },
  error => {
    return Promise.reject(error)
  }
)
service.interceptors.response.use(
  response => {

    if (response.config.responseType == "arraybuffer") {
      return 'data:image/png;base64,' + btoa(
        new Uint8Array(response.data)
          .reduce((data, byte) => data + String.fromCharCode(byte), '')
      );
    } else {
      const res = response.data
      return res

    }

  },

  error => {
    return Promise.reject(error)
  }
)

export default service
