
const STRING_PUBLIC_TERM_KEY = "STRING-EDU_BASE_TERM"; //学期 
const STRING_PUBLIC_DEPARTMENT_KEY = "EDU_BASE_DEPARTMENT"; //教学单位



/**
 * 获取学期数据源 
 */
export function getTermOption() {
    // 注：返回的数据是{data,currentId} ,data 是数据源，currentId是当前学期id
    if (sessionStorage.getItem(STRING_PUBLIC_TERM_KEY))
        return JSON.parse(sessionStorage.getItem(STRING_PUBLIC_TERM_KEY));
    return null;
}

// 获取当前学期Id
export function getCurrentTermId() {
    let termOption = getTermOption(); //获取学期数据源
    let currentId = null;
    if (termOption) {
        termOption.forEach(term => {
            if (term.isCurrent == 1) {
                currentId = term.id;
            }
        })
    }
    return currentId;
}

// 存储学期
export function setTermOption(data) {
    return sessionStorage.setItem(STRING_PUBLIC_TERM_KEY, JSON.stringify(data))
}

// 获取教学单位数据源
export function getBaseDepartmentList() {
    if (sessionStorage.getItem(STRING_PUBLIC_DEPARTMENT_KEY))
        return JSON.parse(sessionStorage.getItem(STRING_PUBLIC_DEPARTMENT_KEY));
    return null;
}
// utils\education-cache\base.js

// 存储教学单位数据源
export function setBaseDepartment(data) {
    return sessionStorage.setItem(STRING_PUBLIC_DEPARTMENT_KEY, JSON.stringify(data))
}

 
