
import store from '@/store'

import {
  queryTerm, //获取学期  
} from "string-edu-middleware/api/public/task";
// api\base\department.js
import {
  queryDepartment, //获取教学单位
} from "string-edu-middleware/api/base/department";

import {
  setTermOption,//存储学期
  getTermOption,//读取学期 
  setBaseDepartment,// 存储教学单位
  getBaseDepartmentList,//读取教学单位
} from "string-edu-middleware/utils/education-cache/base";

// 获取基础数据
export function fetchBase(status = true) {

  // 判断基础数据是否已经全部存储,如果已经全部存储，则不需要继续调用
  if (
    getBaseDepartmentList() &&
    getTermOption()
  ) {
    return new Promise((resolve, reject) => {
      resolve({ code: 1, message: "数据已全部查询成功" });
    });
  }


  let queryAllBase = [
    queryTerm({ status }), // 查询学期
    queryDepartment({ status }),//查询教学单位 
  ];

  return new Promise((resolve, reject) => {
    Promise.all(queryAllBase).then((data) => {
      saveTerm(data[0].data);// 存储学期  
      setBaseDepartment(data[1].data);//存储教学单位    
      // 教学单位
      store.commit("base/save_department_option", data[1].data);

      resolve({ message: "顺利返回" });

    }).catch(e => {

      // this.$message({
      //   message: "获取基础数据失败,请刷新页面!",
      //   type: "error"
      // })

      reject({ code: -1, message: "返回失败" });
    })
  });
}


// 存储学期，并且存储当前学期id
function saveTerm(data) {
  let currentId = null;


  data.forEach(term => {
    if (term.isCurrent === 1) currentId = term.id;
  });

  // 存储学期
  store.commit("base/save_term_option", data); 
  // 存储当前学期
  store.commit("base/save_current_term_id", currentId);

  setTermOption(data); //存储学期与当前学期id    
}




